using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.CMSHelper;

/// <summary>
/// Base page for all CMS administration UI pages
/// </summary>
public abstract class CMSPage : Page
{
    public CMSPage()
    {
        this.PreRender += new EventHandler(CMSPage_PreRender);
    }


    void CMSPage_PreRender(object sender, EventArgs e)
    {
        this.Page.ClientScript.RegisterClientScriptBlock(typeof(string), "CMSLanguage", "<input type=\"hidden\" name=\"lng\" id=\"lng\" value=\"" + CMSContext.CurrentUser.PreferredCultureCode + "\" />");
    }
}
