using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.CMSHelper;
using CMS.SiteProvider;
using CMS.Polls;

public partial class CMSAdminControls_FCKeditor_editor_plugins_InsertPolls_fck_InsertPolls : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {
        gridForms.Columns[0].HeaderText = "&nbsp;" + ResHelper.GetString("SelectPollDialog.PollName");
        ReloadControls();
    }


    /// <summary>
    /// Reloads list of available polls.
    /// </summary>
    protected void ReloadControls()
    {
        if (CMSContext.CurrentSite != null)
        {
            // get polls for the current site
            gridForms.DataSource = PollInfoProvider.GetPolls(CMSContext.CurrentSite.SiteName);
            gridForms.DataBind();
        }
    }

}