<%@ Control Language="C#" AutoEventWireup="true" CodeFile="BlogCommentEdit.ascx.cs"
    Inherits="CMSBlog_BlogCommentEdit" %>
<%@ Register Src="~/CMSFormControls/SecurityCode.ascx" TagName="SecurityCode" TagPrefix="uc1" %>
<asp:Label runat="server" ID="lblInfo" CssClass="Information" EnableViewState="false"
    Visible="false" />
<asp:Label runat="server" ID="lblError" CssClass="ErrorLabel" EnableViewState="false"
    Visible="false" />
<table>
    <tr>
        <td colspan="2">
            <div class="BlogCommentName">
                <asp:Label ID="lblName" runat="server" EnableViewState="false"></asp:Label>
            </div>
            <asp:TextBox ID="txtName" runat="server" CssClass="TextBoxField"></asp:TextBox><br />
            <div class="BlogRequiredValidator">
                <asp:RequiredFieldValidator ID="rfvName" runat="server" ControlToValidate="txtName"
                    Display="Dynamic" ValidationGroup="CommentEdit"></asp:RequiredFieldValidator>
            </div>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <div class="BlogCommentUrl">
                <asp:Label ID="lblUrl" runat="server" EnableViewState="false"></asp:Label>
            </div>
            <asp:TextBox ID="txtUrl" runat="server" CssClass="TextBoxField"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td valign="top" colspan="2">
            <div class="BlogCommentComments">
                <asp:Label ID="lblComments" runat="server" EnableViewState="false"></asp:Label>
            </div>
            <asp:TextBox ID="txtComments" runat="server" CssClass="TextAreaField" Rows="4" TextMode="MultiLine"></asp:TextBox><br />
            <div class="BlogRequiredValidator">
                <asp:RequiredFieldValidator ID="rfvComments" runat="server" ControlToValidate="txtComments"
                    ValidationGroup="CommentEdit" Display="Dynamic"></asp:RequiredFieldValidator>
            </div>
        </td>
    </tr>
    <asp:PlaceHolder ID="plcCaptcha" runat="server" Visible="false" EnableViewState="false">
        <tr>
            <td>
                <asp:Label ID="lblCaptcha" runat="server" EnableViewState="false"></asp:Label>
            </td>
            <td>    
                <asp:Panel ID="pnlCaptcha" runat="server" DefaultButton="btnOk" >
                    <uc1:SecurityCode ID="ctrlCaptcha" runat="server" />
                </asp:Panel>
            </td>
        </tr>
    </asp:PlaceHolder>
    <tr>
        <td colspan="2">
            <div class="BlogRequiredValidator">
                <asp:Button ID="btnOk" runat="server" CssClass="ContentButton" OnClick="btnOk_Click"
                    ValidationGroup="CommentEdit"></asp:Button>
            </div>
        </td>
    </tr>
</table>
