<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PageEdit.aspx.cs" Inherits="CMSDesk_Content_MasterPage_PageEdit"
    Theme="Default" ValidateRequest="false" %>

<%@ Register Src="../../../CMSFormControls/LargeTextArea.ascx" TagName="LargeTextArea"
    TagPrefix="uc1" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Master page - page edit</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
            width: 100%;
            overflow: hidden;
        }
    </style>
</head>
<body class="<%=mBodyClass%>" style="overflow: hidden;">
    <form id="form1" runat="server">
        <asp:Panel ID="pblContent" runat="server" SkinID="PageBody">
            <asp:Literal ID="ltlScript" runat="server" EnableViewState="false" />
            <asp:Button ID="btnSave" runat="server" SkinID="HiddenButton" EnableViewState="false"
                OnClick="btnSave_Click" />
            <div style="width: 100%; height: 100%;">
                <table cellpadding="0" cellspacing="0" style="width: 100%;">
                    <tr>
                        <td style="">
                            <asp:Label ID="lblInfo" runat="server" SkinID="InfoLabel" Visible="false" EnableViewState="false" />
                            <asp:Label ID="lblError" runat="server" SkinID="ErrorLabel" Visible="false" EnableViewState="false"></asp:Label>
                            <asp:TextBox runat="server" ID="txtDocType" Width="90%" TextMode="MultiLine" Rows="2" /><br />
                            <asp:Label runat="server" ID="lblAfterDocType"></asp:Label>
                            <br />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <%=mHead%>
                            <div style="padding-left: 30px;">
                                <uc1:LargeTextArea ID="txtHeadTags" runat="server" Width="90%" Rows="2" />
                            </div>
                            <asp:Label runat="server" ID="lblAfterHeadTags" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblBodyStart" />
                            <asp:TextBox runat="server" ID="txtBodyCss" Width="60%" />
                            <asp:Label runat="server" ID="lblBodyEnd" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <%=mBeforeLayout%>
                            <asp:Label runat="server" ID="lblChecked" Visible="false" SkinID="ErrorLabel" />
                            <div style="padding-left: 30px;">
                                <cc1:ExtendedTextArea runat="server" ID="txtLayout" CssClass="PagePlaceholderDesignLayoutCode"
                                    TextMode="MultiLine" Width="90%" Height="300"></cc1:ExtendedTextArea>
                            </div>
                            <asp:Label runat="server" ID="lblAfterLayout"></asp:Label>
                            <%=mAfterLayout%>
                            <br />
                            <br />
                        </td>
                    </tr>
                </table>
            </div>
        </asp:Panel>
        
    </form>
</body>
</html>
