<%@ Page Language="C#" AutoEventWireup="true" CodeFile="NewPage.aspx.cs" Inherits="CMSDesk_PortalEngine_NewPage"
    Theme="Default" %>

<%@ Register Src="../PortalEngine/PageTemplateSelection.ascx" TagName="PageTemplateSelection"
    TagPrefix="uc3" %>
<%@ Register Src="../PortalEngine/PageTemplateSelection.ascx" TagName="PageTemplateSelection"
    TagPrefix="uc2" %>
<%@ Register Src="../PortalEngine/LayoutSelection.ascx" TagName="LayoutSelection"
    TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - New page</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>

    <script language="javascript" src="../../CMSAdminControls/SpellChecker/spell.js"
        type="text/javascript"></script>

    <script type="text/javascript" language="javascript">
    <!--
        spellURL = "../../CMSAdminControls/SpellChecker/SpellCheck.aspx";
    -->
    </script>

</head>
<body onload="ShowSelection();" class="<%=mBodyClass%>">
    <form id="form1" runat="server">

        <script language="javascript" type="text/javascript">
        <!--                                           
            // Passive refresh
            function PassiveRefresh(nodeId, parentNodeId)
            {
                parent.PassiveRefresh(nodeId, parentNodeId);
            }
            
            // Refresh action
            function RefreshNode(nodeId, selectNodeId)
            {
                return parent.RefreshNode(nodeId, selectNodeId);
            }    
            
            function SelectNode(nodeId)
            {
                return parent.SelectNode(nodeId);
            }      
            
            // Create another
            function CreateAnother()
            {
                parent.CreateAnother();
            }          
            
            // Spell check
            function SpellCheck()
            {
                checkSpelling();
            }        
        -->
        </script>

        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel ID="pnlContent" runat="server" SkinID="PageContentFrame">
                <asp:Label ID="lblInfo" runat="server" SkinID="ContentLabel" EnableViewState="false"></asp:Label>&nbsp;<asp:Label
                    ID="lblError" runat="server" ForeColor="Red" EnableViewState="false"></asp:Label><br />
                <table>
                    <tr>
                        <td valign="top">
                            <asp:Label ID="lblPageName" runat="server" />
                        </td>
                        <td>
                            <asp:TextBox ID="txtPageName" runat="server" SkinID="TextboxField" />
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <asp:Label ID="lblTitle" runat="server"></asp:Label>
                        </td>
                        <td>
                            <asp:RadioButton ID="radInherit" runat="server" GroupName="NewPage" /><br />
                            <asp:RadioButton ID="radUseTemplate" runat="server" GroupName="NewPage" Checked="True" /><br />
                            <div id="divSelectTemplate" style="display: none;">
                                <asp:Panel runat="server" ID="pnlTemplates" SkinID="SelectionBorder">
                                    <uc2:PageTemplateSelection ID="ucoPageTemplateSelection" runat="server" />
                                </asp:Panel>
                            </div>
                            <asp:RadioButton ID="radCreateBlank" runat="server" GroupName="NewPage" /><br />
                            <div id="divSelectLayout" style="display: none;">
                                <asp:Panel runat="server" ID="pnlLayouts">
                                    <uc1:LayoutSelection ID="ucoLayoutSelection" runat="server" />
                                    <br />
                                    <asp:CheckBox runat="server" ID="chkLayoutPageTemplate" Checked="true" />
                                </asp:Panel>
                            </div>
                        </td>
                    </tr>
                </table>
                <asp:Button ID="btnOk" OnClientClick="SelectCurrent();" runat="server" SkinID="HiddenButton"
                    OnClick="btnOk_Click" />
            </asp:Panel>
        </asp:Panel>
        <input type="hidden" id="hidAnother" name="hidAnother" value="" />
        <asp:Literal ID="ltlScript" runat="server" EnableViewState="False"></asp:Literal>&nbsp;
    </form>
    <script language="javascript" type="text/javascript">
    <!--          
	
		function CloseWindow()
		{
		    window.close();
		    return false;
        }
        
        function SelectCurrent()
        {           
            document.getElementById('selectedLayoutId').value = currentLayoutId;           
            document.getElementById('selectedTemplateId').value = currentTemplateId;     
            return false;
        } 
        
        // shows and hides PageTemplateSelection and LayoutSelection controls
        function ShowSelection()
        {
            // user has to select page template
            if(document.getElementById('radUseTemplate').checked) 
            {
                document.getElementById('divSelectTemplate').style.display = "inline";  // visible
                document.getElementById('divSelectLayout').style.display = "none";  // hide
            }   
            // user has to select page layout
            if((document.getElementById('radCreateBlank') != null)&&(document.getElementById('radCreateBlank').checked)) 
            {
                document.getElementById('divSelectTemplate').style.display = "none";    // hide
                document.getElementById('divSelectLayout').style.display = "inline";    // visible
            }   
            // new page will inherit from parent page, no selection requested
            if(document.getElementById('radInherit').checked) 
            {
                document.getElementById('divSelectTemplate').style.display = "none";    // hide
                document.getElementById('divSelectLayout').style.display = "none";  // hide
            }    
            return false;               
        }
    -->
    </script>

</body>
</html>
