<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Product_Selection.aspx.cs"
    Inherits="CMSDesk_Content_Product_Product_Selection" Theme="Default" ValidateRequest="false" %>

<%@ Register Src="~/CMSDesk/Tools/Ecommerce/Products/NewProduct.ascx" TagName="NewProduct" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - Product</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlHeader" SkinID="PageheaderLine">
            <asp:Label runat="server" ID="lblGlobalInfo" SkinID="Information" EnableViewState="false" />
            <asp:CheckBox ID="chkMarkDocAsProd" runat="server" OnCheckedChanged="chkMarkDocAsProd_CheckedChanged"
                AutoPostBack="true" />
        </asp:Panel>
        <asp:Panel ID="pnlBody" runat="server" SkinID="PageBody">
            <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                <asp:RadioButton ID="radSelect" runat="server" GroupName="product" OnCheckedChanged="radSelect_CheckedChanged"
                    AutoPostBack="true" />
                <br />
                <br />
                <asp:Panel ID="pnlSelect" runat="server" Style="margin-left: 20px">
                    <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                        Visible="false" />
                    <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                        Visible="false" />
                    <table cellpadding="5" cellspacing="0" border="0">
                        <tr>
                            <td class="FieldLabel">
                                <asp:Label ID="lblProductName" runat="server" EnableViewState="false"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="txtProductName" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td class="FieldLabel">
                                <asp:Label ID="lblProductCode" runat="server" EnableViewState="false"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="txtProductCode" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td class="FieldLabel" valign="top">
                                <asp:Label ID="lblDepartment" runat="server" EnableViewState="false" />
                            </td>
                            <td>
                                <asp:DropDownList ID="drpDepartment" runat="server" Width="100%" DataTextField="DepartmentDisplayName"
                                    DataValueField="DepartmentID">
                                </asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td>
                                <asp:Button ID="btnShow" runat="server" OnClick="BtnShow_Click" SkinID="ContentButton"
                                    EnableViewState="false" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td>
                                <asp:ListBox ID="lstProducts" runat="server" SkinID="ContentListBox"></asp:ListBox>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
                <asp:RadioButton ID="radCreate" runat="server" GroupName="product" OnCheckedChanged="radSelect_CheckedChanged"
                    AutoPostBack="true" />
                <asp:Panel ID="pnlNew" runat="server" Style="margin-left: 20px; padding-bottom: 10px;">
                    <uc1:NewProduct ID="ctrlProduct" runat="server" Visible="false" />
                </asp:Panel>
                <br />
                <br />
                <asp:Button ID="btnOk" runat="server" Text="" SkinID="ContentButton" OnClick="btnOk_Click" />
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
