<%@ Page Language="C#" AutoEventWireup="true" CodeFile="template.aspx.cs" Inherits="CMSDesk_Content_Properties_template"
    Theme="Default" %>

<%@ Register Src="~/CMSFormControls/InheritLevels.ascx" TagName="InheritLevels" TagPrefix="uc1" %>
<%@ Register Src="../editmenu.ascx" TagName="editmenu" TagPrefix="uc2" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Properties - Template</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="VerticalTabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <input type="hidden" id="isPortal" name="isPortal" value="true" />
        <input type="hidden" id="isReusable" name="isReusable" value="" />
        <input type="hidden" id="isAdHoc" name="isAdHoc" value="" />
        <input type="hidden" id="SelectedTemplateId" name="SelectedTemplateId" value="" />
        <input type="hidden" id="InheritedTemplateId" name="InheritedTemplateId" value="" />
        <input type="hidden" id="Saved" name="Saved" value="false" />
        <input type="hidden" id="TemplateDisplayName" name="TemplateDisplayName" value="" />
        <input type="hidden" id="TemplateDescription" name="TemplateDescription" value="" />
        <input type="hidden" id="TemplateCategory" name="TemplateCategory" value="" />
        <input type="hidden" id="TextTemplate" name="TextTemplate" value="" />
        <asp:Literal ID="ltlPreInitScript" runat="server"></asp:Literal>
        <asp:Literal ID="ltlInitScript" runat="server"></asp:Literal>
        <asp:Panel ID="pnlBody" runat="server" SkinID="VerticalTabsPageBody">
            <asp:Panel ID="pnlTab" runat="server" SkinID="VerticalTabsPageContent">
                <asp:Panel runat="server" ID="pnlMenu" SkinID="ContentEditMenu">
                    <table>
                        <tr>
                            <td>
                                <asp:LinkButton ID="lnkSaveDoc" runat="server" OnClick="lnkSave_Click" CssClass="MenuItemEdit">
                                    <asp:Image ID="imgSaveDoc" runat="server" />
                                    <%=mSaveDoc%>
                                </asp:LinkButton>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                    <asp:Label ID="lblError" runat="server" EnableViewState="false" ForeColor="red"></asp:Label><asp:Label
                        ID="lblInfo" runat="server" EnableViewState="false" SkinID="Information"></asp:Label>
                    <asp:Panel runat="server" ID="pnlSoftTemplate" >
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblTemplate" runat="server"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtTemplate" runat="server" ReadOnly="True" SkinID="TextboxField"></asp:TextBox>
                                    <asp:Button ID="btnSelect" runat="server" SkinID="ContentButton" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <asp:LinkButton ID="btnSave" runat="server" CssClass="MenuItemEdit">
                                        <asp:Image ID="imgSave" runat="server" />
                                        <%=mSave%>
                                        <br />
                                    </asp:LinkButton>
                                    <asp:LinkButton ID="btnInherit" runat="server" CssClass="MenuItemEdit" OnClick="btnInherit_Click">
                                        <asp:Image ID="imgInherit" runat="server" />
                                        <%=mInherit%>
                                        <br />
                                    </asp:LinkButton>
                                    <asp:LinkButton ID="btnClone" runat="server" CssClass="MenuItemEdit" OnClick="btnClone_Click">
                                        <asp:Image ID="imgClone" runat="server" />
                                        <%=mClone%>
                                        <br />
                                    </asp:LinkButton>
                                    <asp:LinkButton ID="btnEditTemplateProperties" runat="server" CssClass="MenuItemEdit"
                                        OnClick="btnClone_Click">
                                        <asp:Image ID="imgEditTemplateProperties" runat="server" />
                                        <%=mEditTemplateProperties%>
                                    </asp:LinkButton>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    &nbsp;</td>
                            </tr>
                            <asp:PlaceHolder runat="server" ID="plcInherits">
                                <tr>
                                    <td class="FieldLabel" style="vertical-align: top; padding-top: 3px;">
                                        <asp:Label ID="lblLevels" runat="server" />
                                    </td>
                                    <td>
                                        <br />
                                        <uc1:InheritLevels ID="InheritLevels1" runat="server" />
                                    </td>
                                </tr>
                            </asp:PlaceHolder>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
        <asp:Literal ID="ltlElemScript" runat="server" EnableViewState="false" />

        <script language="javascript" type="text/javascript">
        <!--      
            // initialize buttons visibility
            function ShowButtons(lIsPortal, lIsReusable, lIsAdHoc)
            {
                /*alert(lIsPortal);
                alert(lIsReusable);
                alert(lIsAdHoc);*/
                
                
                if (lIsPortal == 'true') 
                {
                    lIsPortal = true;
                }
                else if (lIsPortal == 'false') 
                {
                    lIsPortal = false;
                }
                if (lIsReusable == 'true') 
                {
                    lIsReusable = true;
                }
                else if (lIsReusable == 'false') 
                {
                    lIsReusable = false;
                }
                if (lIsAdHoc == 'true') 
                {
                    lIsAdHoc = true;
                }
                else if (lIsAdHoc == 'false') 
                {
                    lIsAdHoc = false;
                }       
                         
                if ((lIsPortal != null)&&(lIsReusable != null))
                {
                    if (lIsPortal == true)
                    {
                        if (lIsAdHoc == true)
                        {
                            if (cloneElemStyle != null)
                            {
                                cloneElemStyle.display = 'none';
                            }                          
                        }
                        else //if (!isAdHoc) ...
                        {
                            if (lIsReusable == true)
                            {
                                if (cloneElemStyle != null)
                                {
                                    cloneElemStyle.display = 'inline';
                                }                                
                            }
                            else
                            {
                                if (cloneElemStyle != null)
                                {
                                    cloneElemStyle.display = 'none';
                                }                            
                            }
                            //saveElemStyle.display = 'none';                                   
                        }
                        if (saveElemStyle != null)
                        {
                            saveElemStyle.display = 'inline';
                        }   
                    }
                    else //if (!isPortal) ...
                    {
                        if (cloneElemStyle != null)
                        {
                            cloneElemStyle.display = 'none';
                        }
                        if (saveElemStyle != null)
                        {
                            saveElemStyle.display = 'none';
                        }                                         
                    }
                }
                if (lIsPortal == true)
                {
                    document.getElementById('isPortal').value = 'true';
                }
                else
                {
                    document.getElementById('isPortal').value = 'false';
                }
                
                if (lIsReusable == true)
                {
                    document.getElementById('isReusable').value = 'true';
                }
                else
                {
                    document.getElementById('isReusable').value = 'false';
                }
                
                if (lIsAdHoc == true)
                {
                    document.getElementById('isAdHoc').value = 'true';
                }
                else
                {
                    document.getElementById('isAdHoc').value = 'false';
                }                                
                return false;
            }
            
            // btnSelect onclick()          
            function SelectTemplate(templateId, templateName, selectorId)
            {
                if( templateId != 0 )
                {   
                    GetShowButtonFlags(templateId);
                    inheritElemStyle.display = 'inline';
                    if (editTemplatePropertiesElemStyle != null)
                    {
                        editTemplatePropertiesElemStyle.display = 'inline';
                    }
                    if(cloneElemStyle != null)
                    {
                        cloneElemStyle.display = 'inline'; 
                    }
                    if(saveElemStyle != null)
                    {
                        saveElemStyle.display = 'none'; 
                    }
                    document.getElementById('SelectedTemplateId').value = templateId;
                    document.getElementById('InheritedTemplateId').value = 0;
                    if (templateName != null) document.getElementById('txtTemplate').value = templateName;                
                }
            }
            
            function NoTemplateSelected()
            {
                if (cloneElemStyle != null)
                {
                    cloneElemStyle.display = 'none';
                }
                if (layoutElemStyle != null)
                {
                    layoutElemStyle.display = 'none';
                } 
                if (inheritElemStyle != null)
                {
                    inheritElemStyle.display = 'inline';
                }
                if (editTemplatePropertiesElemStyle != null)
                {
                    editTemplatePropertiesElemStyle.display = 'none';
                }
            }
            
            // btnInherit onclick()
            function pressedInherit(inheritedTemplateId)
            {
                // ShowButtons() is called in code behind
                document.getElementById('SelectedTemplateId').value = 0;
                document.getElementById('InheritedTemplateId').value = inheritedTemplateId;
                document.getElementById('TextTemplate').value = document.getElementById('txtTemplate').value;
                inheritElemStyle.display = 'none';
                if (editTemplatePropertiesElemStyle != null)
                {
                    editTemplatePropertiesElemStyle.display = 'none';
                } 
                return false;
            }
           
            function hideInherit()
            {
                inheritElemStyle.display = 'none';
                if (editTemplatePropertiesElemStyle != null)
                {
                    editTemplatePropertiesElemStyle.display = 'inline';
                }                 
            }
           
            // btnClone onclick()
            function pressedClone(selectedTemplateId)
            {
                // ShowButtons() is called in code behind 
                document.getElementById('SelectedTemplateId').value = selectedTemplateId;
                document.getElementById('InheritedTemplateId').value = 0;
                document.getElementById('TextTemplate').value = document.getElementById('txtTemplate').value;
                inheritElemStyle.display = 'inline';
                if (editTemplatePropertiesElemStyle != null)
                {
                    editTemplatePropertiesElemStyle.display = 'inline';
                } 
            }
            
            // callback function, shows buttons according to recieved show button flags
	        function ReceiveShowButtonFlags(rValue, context)
	        {
	            if (rValue == -1) ShowButtons(false, false, false);
	            else if (rValue == 0) ShowButtons(true, false, false); //isPortal
	            else if (rValue == 1) ShowButtons(true, true, false); //isPortal && isReusable
	            else if (rValue == 2) ShowButtons(false, false, true); //isAdHoc
	            else if (rValue == 3) ShowButtons(true, false, true); //isPortal && isAdHoc
	            else if (rValue == 4) ShowButtons(true, true, true); //isPortal && isReusable && isAdHoc
	        } 
            
            
            // btnSave onclick()
            function ReceiveNewTemplateData(DisplayName, Category, Description, pageTemplateId, lIsPortal, lIsReusable)
            {
                if((DisplayName != "") && (Category != 0))  // description can be empty
                {
                    saveElemStyle.display = 'none';
                    inheritElemStyle.display = 'inline';
                    editTemplatePropertiesElemStyle.display = 'inline';              
            
                    document.getElementById('TemplateDisplayName').value = DisplayName;
                    document.getElementById('TemplateDescription').value = Description;
                    document.getElementById('TemplateCategory').value = Category;
                    
                    document.getElementById('txtTemplate').value = DisplayName;
                    document.getElementById('SelectedTemplateId').value = pageTemplateId;
                    ShowButtons(lIsPortal, lIsReusable, false);
                }
            }
            
            function SetTemplateName(name)
            {
                document.getElementById('txtTemplate').value = name;
            }
            
            // Remembers template name.
            function RememberTemplate(templateName)
            {
                document.getElementById('TextTemplate').value = templateName;
            }
        -->
        </script>

        <asp:Literal ID="ltlScript" runat="server" EnableViewState="false" />
        <cc1:LocalizedHidden ID="constAdhocPage" runat="server" Value="{$PageProperties.AdHocPage$}" />
    </form>
</body>
</html>
