<%@ Page Language="C#" AutoEventWireup="true" CodeFile="search.aspx.cs" Inherits="CMSDesk_Content_search"
    Theme="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - Search</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%;
            width: 100%;
            overflow: hidden;
        }
        
        .MenuBox
        {
            position: absolute;
            width: 263px;
            z-index: 2;
        }
        
        .TreeMenuPadding
        {
            height: 49px;
        }
    </style>
</head>
<body class="TreeBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <div class="MenuBox">
            <asp:Panel runat="server" ID="pnlSites" SkinID="TreeMenu">
                <asp:Panel runat="server" ID="pnlMenuContent" SkinID="TreemenuContent" DefaultButton="btnSearch">
                    <b>
                        <asp:Label ID="lblSearch" runat="server" SkinID="ContentLabel"></asp:Label>
                    </b>
                    <br />
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td width="100%" nowrap style="height: 24px">
                                <asp:TextBox ID="txtSearch" runat="server" Width="95%"></asp:TextBox>&nbsp;</td>
                            <td style="height: 24px">
                                <asp:Button ID="btnSearch" runat="server" SkinID="ContentButton" OnClick="btnSearch_Click" /></td>
                        </tr>
                    </table>
                </asp:Panel>
            </asp:Panel>
        </div>
        <asp:Panel runat="server" ID="pnlBody" SkinID="ContentTree">
            <asp:Panel runat="server" ID="pnlBorder" SkinID="TreeBorder">
                &nbsp;
            </asp:Panel>
            <div class="TreeArea">
                <div class="TreeMenuPadding TreeMenu">
                    &nbsp;
                </div>
                <div class="TreeAreaTree">
                    <asp:Panel ID="pnlResults" runat="server" SkinID="SearchResults">
                        <asp:Label ID="lblSearchInfo" runat="server" EnableViewState="false"></asp:Label>
                        <asp:GridView ID="gridSearchResults" runat="server" OnRowDataBound="RowDataBound"
                            AutoGenerateColumns="false" GridLines="None" EnableViewState="false" AllowPaging="true"
                            PageSize="14" OnPageIndexChanging="gridSearchResults_PageIndexChanging" PagerSettings-Position="Top" PagerStyle-Height="30"
                            ShowHeader="false">
                            <Columns>
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:HyperLink ID="lnkDocumentIcon" runat="server" EnableViewState="false" CssClass="SearchResultLink">                                                                                 
                                        </asp:HyperLink>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:HyperLink ID="lnkDocumentName" runat="server" EnableViewState="false" CssClass="SearchResultLink">                                                                                 
                                        </asp:HyperLink>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </asp:Panel>
                </div>
            </div>
        </asp:Panel>

        <script type="text/javascript" language="javascript"> 
        <!--
            // Select item action
            function SelectItem(nodeId)
            {
                if ( nodeId != 0 )
                {
                    parent.parent.location.href = "../default.aspx?section=content&action=edit&nodeid=" + nodeId;
                }
            }
        -->
        </script>

    </form>
</body>
</html>
