<%@ Page Language="C#" AutoEventWireup="true" CodeFile="myprofile.aspx.cs" Inherits="CMSDesk_MyDesk_myprofile"
    Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MyDesk - My Profile</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <table>
                    <tr>
                        <td class="FieldLabel" style="height: 24px">
                            <asp:Label ID="lblMyUserName" runat="server" EnableViewState="false"></asp:Label>
                        </td>
                        <td style="height: 24px">
                            <asp:Label ID="lblUserName" runat="server" EnableViewState="false"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel" style="height: 24px">
                            <asp:Label ID="lblMyFullName" runat="server" EnableViewState="false"></asp:Label>
                        </td>
                        <td style="height: 24px">
                            <asp:Label ID="lblFullName" runat="server" EnableViewState="false"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel" style="height: 25px">
                            <asp:Label ID="lblEmail" runat="server" EnableViewState="false"></asp:Label>
                        </td>
                        <td style="height: 25px">
                            <asp:TextBox ID="txtEmail" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel" style="height: 25px">
                            <asp:Label ID="lblCulture" runat="server" EnableViewState="false" />
                        </td>
                        <td style="height: 25px">
                            <asp:DropDownList ID="lstCulture" runat="server" SkinID="DropDownField" />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel" style="height: 25px">
                            <asp:Label ID="lblUICulture" runat="server" EnableViewState="false" />
                        </td>
                        <td style="height: 25px">
                            <asp:DropDownList ID="lstUICulture" runat="server" SkinID="DropDownField" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <br />
                            <asp:Button ID="btnOK" runat="server" SkinID="ContentButton" EnableViewState="false"
                                OnClick="btnOK_Click" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
