<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BizForm_Edit_General.aspx.cs"
    Inherits="CMSDesk_Tools_BizForms_BizForm_Edit_General" Theme="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>BizForm General</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table cellpadding="0" cellspacing="2">
                            <tr>
                                <td style="width: 140px">
                                    <asp:Label ID="lblDisplayName" runat="server" EnableViewState="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtDisplayName" runat="server" SkinID="TextboxField" MaxLength="100" />
                                    <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" ControlToValidate="txtDisplayName"
                                        Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 140px">
                                    <asp:Label ID="lblCodeName" runat="server" EnableViewState="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtCodeName" runat="server" SkinID="TextboxField" MaxLength="100"
                                        ReadOnly="True" Enabled="False" />
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 140px">
                                    <asp:Label ID="lblTableName" runat="server" EnableViewState="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtTableName" runat="server" SkinID="TextboxField" MaxLength="100"
                                        ReadOnly="True" Enabled="False" />
                                </td>
                            </tr>                           
                        </table>
                        <br />
                        <asp:CheckBox ID="chkSendToEmail" runat="server" AutoPostBack="true" OnCheckedChanged="chkSendToEmail_CheckedChanged" /><br />
                        <table cellpadding="0" cellspacing="2">
                            <tr>
                                <td style="width: 140px">
                                    <asp:Label ID="lblFromEmail" runat="server" EnableViewState="False"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtFromEmail" runat="server" MaxLength="200" SkinID="TextboxField"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 140px">
                                    <asp:Label ID="lblToEmail" runat="server" EnableViewState="False"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtToEmail" runat="server" MaxLength="200" SkinID="TextboxField"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 140px">
                                    <asp:Label ID="lblSubject" runat="server" EnableViewState="False"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtSubject" runat="server" MaxLength="250" SkinID="TextboxField"></asp:TextBox>
                                </td>
                            </tr>                            
                        </table>
                        <br />
                        <asp:Label ID="lblAfterSubmited" runat="server"></asp:Label><br />
                        <table cellpadding="0" cellspacing="2">
                            <tr>
                                <td class="FieldLabel" style="width: 141px">
                                    &nbsp;<asp:RadioButton ID="radDisplay" runat="server" GroupName="grpAfterSubmited"
                                        AutoPostBack="True" OnCheckedChanged="radDisplay_CheckedChanged" /></td>
                                <td style="height: 24px">
                                    <asp:TextBox ID="txtDisplay" runat="server" MaxLength="200" SkinID="TextboxField"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel" style="width: 141px">
                                    &nbsp;<asp:RadioButton ID="radRedirect" runat="server" GroupName="grpAfterSubmited"
                                        AutoPostBack="True" OnCheckedChanged="radRedirect_CheckedChanged" /></td>
                                <td>
                                    <asp:TextBox ID="txtRedirect" runat="server" MaxLength="200" SkinID="TextboxField"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel" style="width: 141px">
                                    &nbsp;<asp:RadioButton ID="radClear" runat="server" GroupName="grpAfterSubmited"
                                        AutoPostBack="True" OnCheckedChanged="radClear_CheckedChanged" /></td>
                                <td style="height: 24px">
                                    &nbsp;</td>
                            </tr>
                            <tr>
                                <td class="FieldLabel" style="width: 141px">
                                    &nbsp;<asp:RadioButton ID="radContinue" runat="server" GroupName="grpAfterSubmited"
                                        AutoPostBack="True" OnCheckedChanged="radClear_CheckedChanged" /></td>
                                <td>
                                    &nbsp;</td>
                            </tr>
                        </table>
                        <br />
                        <table cellpadding="0" cellspacing="2">
                            <tr>
                                <td class="FieldLabel" style="width: 140px">
                                    <asp:Label ID="lblButtonText" runat="server" EnableViewState="False"></asp:Label>
                                </td>
                                <td style="height: 24px">
                                    <asp:TextBox ID="txtButtonText" runat="server" MaxLength="200" SkinID="TextboxField"></asp:TextBox>
                                </td>
                            </tr>                             
                            <tr>
                                <td class="FieldLabel" style="width: 140px">
                                </td>
                                <td>
                                    <br />
                                    <asp:Button ID="btnOk" runat="server" SkinID="ContentButton" OnClick="btnOk_Click" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
