<%@ Page Language="C#" AutoEventWireup="true" CodeFile="OrderStatus_Edit.aspx.cs" Inherits="CMSDesk_Tools_Ecommerce_Configuration_OrderStatus_OrderStatus_Edit" Theme="Default" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>E-commerce Configuration - Order status properties</title>
	<style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="VerticalTabsBody <%=mBodyClass%>">
	<form id="form1" runat="server">
		<asp:Panel ID="pnlBody" runat="server" SkinID="VerticalTabsPageBody">
			<asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
				<uc1:PageTitle ID="PageTitle" runat="server" />
			</asp:Panel>
			<asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
				<asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false" Visible="false" />
				<asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false" Visible="false" />
				<table style="vertical-align:top">
					<tr>
						<td class="FieldLabel"><asp:Label runat="server" ID="lblStatusDisplayName" EnableViewState="false" /></td>
						<td>
						  <asp:TextBox ID="txtStatusDisplayName" runat="server" SkinID="TextboxField" MaxLength="200" />
                          <asp:RequiredFieldValidator ID="rfvStatusDisplayName" runat="server" ErrorMessage="" ControlToValidate="txtStatusDisplayName"></asp:RequiredFieldValidator>
						</td>
					</tr>
					<tr>
						<td class="FieldLabel"><asp:Label runat="server" ID="lblStatusName" EnableViewState="false" /></td>
						<td>
						  <asp:TextBox ID="txtStatusName" runat="server" SkinID="TextboxField" MaxLength="200" />
                          <asp:RequiredFieldValidator ID="rfvStatusName" runat="server" ErrorMessage="" ControlToValidate="txtStatusName"></asp:RequiredFieldValidator>
						</td>
					</tr>
					<tr>
						<td class="FieldLabel"><asp:Label runat="server" ID="lblStatusColor" EnableViewState="false" /></td>
						<td>
						    <cc1:ColorPicker ID="clrPicker" runat="server"></cc1:ColorPicker>						  
						</td>
					</tr>									
					<tr>
						<td class="FieldLabel"><asp:Label runat="server" ID="lblStatusEnabled" EnableViewState="false" /></td>
						<td><asp:CheckBox ID="chkStatusEnabled" runat="server" SkinID="CheckBoxMovedLeft" Checked="true"/></td>
					</tr>
					<tr>
						<td></td>
						<td><br /><asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false" SkinID="ContentButton" /></td>
					</tr>
				</table>
			</asp:Panel>
		</asp:Panel>
	</form>
</body>
</html>