<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ShippingOption_New.aspx.cs" Inherits="CMSDesk_Tools_Ecommerce_Configuration_ShippingOptions_ShippingOption_New" Theme="Default" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Shipping options - new</title>
	<style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height: 100%;
		}
	</style>
</head>
<body class="<%=mBodyClass%>">
	<form id="form1" runat="server">
		<asp:Panel runat="server" ID="pnlBody" SkinID="VerticalTabsPageBody">
			<asp:Panel runat="server" ID="pnlHeader" SkinID="PageHeader">
				<uc1:PageTitle runat="server" ID="PageTitle" />
			</asp:Panel>
			<asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
				        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false" Visible="false" />
				        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false" Visible="false" />
				        <table style="vertical-align:top">
					        <tr>
						        <td class="FieldLabel"><asp:Label runat="server" ID="lblShippingOptionDisplayName" EnableViewState="false" /></td>
						        <td><asp:TextBox ID="txtShippingOptionDisplayName" runat="server" SkinID="TextboxField" MaxLength="200" />
                                    <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" ControlToValidate="txtShippingOptionDisplayName" Display="Dynamic"></asp:RequiredFieldValidator></td>
					        </tr>
					        <tr>
						        <td class="FieldLabel"><asp:Label runat="server" ID="lblShippingOptionName" EnableViewState="false" /></td>
						        <td><asp:TextBox ID="txtShippingOptionName" runat="server" SkinID="TextboxField" MaxLength="200" />
                                    <asp:RequiredFieldValidator ID="rfvName" runat="server" ControlToValidate="txtShippingOptionName" Display="Dynamic"></asp:RequiredFieldValidator></td>
					        </tr>
					        <tr>
						        <td class="FieldLabel"><asp:Label runat="server" ID="lblShippingOptionCharge" EnableViewState="false" /></td>
						        <td><asp:TextBox ID="txtShippingOptionCharge" runat="server" SkinID="TextboxField"  />
                                    <asp:RangeValidator ID="rvShippingOptionCharge" runat="server" ControlToValidate="txtShippingOptionCharge"
                                        MaximumValue="9999999999" MinimumValue="0" Type="Double"></asp:RangeValidator>
                                    <asp:Label ID="lblCharge" runat="server"></asp:Label>
                                    <asp:RequiredFieldValidator ID="rfvCharge" runat="server" ControlToValidate="txtShippingOptionCharge" Display="Dynamic"></asp:RequiredFieldValidator></td>
					        </tr>
					        <tr>
						        <td class="FieldLabel"><asp:Label runat="server" ID="lblShippingOptionEnabled" EnableViewState="false" /></td>
						        <td><asp:CheckBox ID="chkShippingOptionEnabled" runat="server" SkinID="CheckBoxMovedLeft" Checked="True"/></td>
					        </tr>
					        <tr>
						        <td></td>
						        <td><br /><asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false" SkinID="ContentButton" /></td>
					        </tr>
				        </table>
			        </asp:Panel>
		</asp:Panel>
	</form>
</body>
</html>