<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Discount_Edit_General.aspx.cs"
    Inherits="CMSDesk_Tools_Ecommerce_DiscountCoupon_DiscountCoupon_Edit" Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Discount coupon - Edit</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="Tabs <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="Panel1" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="Panel2" SkinID="TabsPageContainer">
                <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea2">
                    <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                        <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                            <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                                Visible="false" />
                            <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                                Visible="false" />
                            <table style="vertical-align: top">
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblDiscountCouponDisplayName" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtDiscountCouponDisplayName" runat="server" SkinID="TextboxField"
                                            MaxLength="200" />
                                        <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" Display="Dynamic"
                                            ValidationGroup="Discount" ControlToValidate="txtDiscountCouponDisplayName" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel" style="height: 45px">
                                        <asp:Label runat="server" ID="lblDiscountCouponCode" EnableViewState="false" /></td>
                                    <td style="height: 45px">
                                        <asp:TextBox ID="txtDiscountCouponCode" runat="server" SkinID="TextboxField" MaxLength="200" />
                                        <asp:RequiredFieldValidator ID="rfvCouponCode" runat="server" Display="Dynamic" ValidationGroup="Discount"
                                            ControlToValidate="txtDiscountCouponCode" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblDiscountCouponValue" EnableViewState="false" /><br /><br /></td>
                                    <td>
                                        <asp:RadioButton runat="server" ID="radFixed" GroupName="radValues" Checked="true" /><asp:RadioButton runat="server" ID="radPercentage" GroupName="radValues" />
                                        <br />
                                        <asp:TextBox ID="txtDiscountCouponValue" runat="server" SkinID="TextboxField" MaxLength="10" />
                                        <asp:RangeValidator ID="rvDiscountCouponValue" runat="server" ControlToValidate="txtDiscountCouponValue" Display="Dynamic" MaximumValue="9999999999" MinimumValue="0" Type="Double" ValidationGroup="Discount"></asp:RangeValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblDiscountCouponValidFrom" EnableViewState="false" /></td>
                                    <td>
                                        <cc1:DateTimePicker ID="dtPickerDiscountCouponValidFrom" runat="server"></cc1:DateTimePicker>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblDiscountCouponValidTo" EnableViewState="false" /></td>
                                    <td>
                                        <cc1:DateTimePicker ID="dtPickerDiscountCouponValidTo" runat="server"></cc1:DateTimePicker>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <br />
                                        <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                            SkinID="ContentButton" ValidationGroup="Discount" /></td>
                                </tr>
                            </table>
                        </asp:Panel>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
