using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CMS.GlobalHelper;

public partial class CMSDesk_Tools_Newsletters_Header : CMSDeskPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        PageTitle.TitleText = ResHelper.GetString("Newsletters.HeaderCaption");
        PageTitle.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSDesk/Tools/Newsletters/newslettermodule.gif";

        if (!IsPostBack)
        {
            InitalizeMenu();
        }
    }

    /// <summary>
    /// Initializes menu
    /// </summary>
    protected void InitalizeMenu()
    {
        BasicTabControlMenu.Tabs = new string[6, 4];
        BasicTabControlMenu.Tabs[0, 0] = ResHelper.GetString("Newsletters.Newsletters");
        BasicTabControlMenu.Tabs[0, 2] = "Newsletters/Newsletter_List.aspx";
        BasicTabControlMenu.Tabs[1, 0] = ResHelper.GetString("Newsletters.Subscribers");
        BasicTabControlMenu.Tabs[1, 2] = "Subscribers/Subscriber_List.aspx";
        BasicTabControlMenu.Tabs[2, 0] = ResHelper.GetString("Newsletters.Templates");
        BasicTabControlMenu.Tabs[2, 2] = "Templates/NewsletterTemplate_List.aspx";
        BasicTabControlMenu.Tabs[3, 0] = ResHelper.GetString("Newsletters.EmailQueue");
        BasicTabControlMenu.Tabs[3, 2] = "EmailQueue/NewsletterEmailQueue.aspx";
        BasicTabControlMenu.Tabs[4, 0] = ResHelper.GetString("Newsletters.ImportSubscribers");
        BasicTabControlMenu.Tabs[4, 2] = "ImportExportSubscribers/Subscriber_Import.aspx";
        BasicTabControlMenu.Tabs[5, 0] = ResHelper.GetString("Newsletters.ExportSubscribers");
        BasicTabControlMenu.Tabs[5, 2] = "ImportExportSubscribers/Subscriber_Export.aspx";
        
        BasicTabControlMenu.UrlTarget = "newslettersContent";
    }
}
