<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Newsletter_Issue_Edit.aspx.cs"
    Inherits="CMSDesk_Tools_Newsletters_Newsletters_Newsletter_Issue_Edit" ValidateRequest="false"
    Theme="Default" %>

<%@ Register Src="Newsletter_ContentEditorHeader.ascx" TagName="Newsletter_ContentEditorHeader"
    TagPrefix="uc2" %>
<%@ Register Src="Newsletter_ContentEditor.ascx" TagName="Newsletter_ContentEditor"
    TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Newsletter - Edit issue</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
			width: 100%;
			overflow: hidden;
		}
		
		.EditHeader
		{
		    position: absolute;
		    z-index: 3;
		    width: 90%;
		    left: 18px;
		    padding: 5px;
		    background-color: #ffffff;
		    border-bottom: solid 1px #cccccc;
		    border-right: solid 1px #cccccc;
		}
		
		.HeaderHeight
		{
		    height: 170px;
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlContainer" SkinID="TabsPageContainer">
                <asp:Panel runat="server" ID="Panel1" SkinID="TabsPageContainer">
                    <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea3">
                        <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                            <asp:Label runat="server" ID="lblInfo" SkinID="" EnableViewState="false" Visible="false" />
                            <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                                Visible="false" />
                            <asp:Panel runat="server" ID="pnlMenu" SkinID="ContentEditMenu">
                                <table>
                                    <tr>
                                        <td>
                                            <asp:LinkButton ID="lnkSave" runat="server" OnClick="btnOK_Click" CssClass="MenuItemEdit">
                                                <asp:Image ID="imgSave" runat="server" />
                                                <%=mSave%>
                                            </asp:LinkButton>
                                        </td>
                                    </tr>
                                </table>
                            </asp:Panel>
                            <uc2:Newsletter_ContentEditorHeader ID="contentHeader" runat="server" />
                            <uc1:Newsletter_ContentEditor ID="contentBody" runat="server" />
                        </asp:Panel>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
