<%@ Page Language="C#" AutoEventWireup="true" CodeFile="NewsletterTemplate_Edit.aspx.cs"
    Inherits="CMSDesk_Tools_Newsletters_Templates_NewsletterTemplate_Edit" Theme="Default"
    ValidateRequest="false" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>

<%@ Register Src="../../../../CMSFormControls/LargeTextArea.ascx" TagName="LargeTextArea"
    TagPrefix="uc2" %>
<%@ Register Src="../../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle"
    TagPrefix="uc1" %>
<%@ Register TagPrefix="fckeditorv2" Namespace="CMS.FCKeditorV2" Assembly="CMS.FCKeditorV2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Tools - Newsletter template edit</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Literal ID="LtlScript" runat="server"></asp:Literal>
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlUsers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle ID="PageTitle" runat="server" />
                    </asp:Panel>
                    <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="vertical-align: top" cellspacing="5">
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTemplateDisplayName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtTemplateDisplayName" runat="server" SkinID="TextboxField" MaxLength="250" />
                                    <asp:RequiredFieldValidator ID="rfvTemplateDisplayName" runat="server" ControlToValidate="txtTemplateDisplayName"
                                        Display="dynamic"></asp:RequiredFieldValidator>
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTemplateName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtTemplateName" runat="server" SkinID="TextboxField" MaxLength="250" />
                                    <asp:RequiredFieldValidator ID="rfvTemplateName" runat="server" ControlToValidate="txtTemplateName"
                                        Display="dynamic"></asp:RequiredFieldValidator>
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblTemplateHeader" runat="server" Text="Label" />
                                </td>
                                <td>
                                    <uc2:LargeTextArea ID="txtTemplateHeader" runat="server" />
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblTemplateBody" runat="server" Text="Label"></asp:Label>
                                </td>
                                <td colspan="2" class="EditingFormControl" style="width: auto;">
                                    <fckeditorv2:FCKeditor ID="fckTemplateBody" runat="server" Width="770px" Height="400px" />
                                    <table width="100%" cellspacing="0" cellpadding="2">
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblInsertField" runat="server" /></td>
                                            <td colspan="3">
                                                <asp:DropDownList ID="lstInsertField" runat="server" />
                                                <asp:Button ID="btnInsertField" runat="server" SkinID="contentbutton" OnClientClick="InsertAtCursorPosition('{%' + document.getElementById('lstInsertField').value + '%}'); return false;" /></td>
                                        </tr>
                                        <asp:PlaceHolder ID="pnlEditableRegion" runat="server" Visible="false">
                                            <tr>
                                                <td colspan="4">
                                                    &nbsp;</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                </td>
                                                <td>
                                                    <asp:Label ID="lblName" runat="server" Text="Label" /></td>
                                                <td>
                                                    <asp:Label ID="lblWidth" runat="server" Text="Label" /></td>
                                                <td>
                                                    <asp:Label ID="lblHeight" runat="server" Text="Label" /></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="lblInsertEditableRegion" runat="server" Text="Label" Visible="false" />
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtName" runat="server" />
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtWidth" runat="server" SkinID="ShortTextBox" />
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtHeight" runat="server" SkinID="ShortTextBox" />
                                                </td>
                                                <td>
                                                    <asp:Button ID="btnInsertEditableRegion" runat="server" Text="Button" SkinID="ContentButton"
                                                        OnClientClick="InsertEditableRegion(); return false;" Visible="false" />
                                                </td>
                                            </tr>
                                        </asp:PlaceHolder>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblTemplateFooter" runat="server" Text="Label" />
                                </td>
                                <td>
                                    <uc2:LargeTextArea ID="txtTemplateFooter" runat="server" />
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel"><asp:Label ID="lblTemplateStyleSheetText" runat="server" /></td>
                                <td colspan="2">
                                    <cc1:ExtendedTextArea ID="txtTemplateStyleSheetText" runat="server" SkinID="TextAreaField"
                                        Height="200px" TextMode="MultiLine" Width="770px" /><br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                        SkinID="ContentButton" /></td>
                                <td>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>

    <script type="text/javascript" language="javascript">
            // Insert desired HTML at the current cursor position of the FCK editor
            function InsertHTML(htmlString)
            {
                // Get the editor instance that we want to interact with.
                var oEditor = FCKeditorAPI.GetInstance("fckTemplateBody") ;
                // Check the active editing mode.
                if ( oEditor.EditMode == FCK_EDITMODE_WYSIWYG )
                {
	                // Insert the desired HTML.
	                oEditor.InsertHtml(htmlString) ;
                }
                else
	                alert( 'You must be on WYSIWYG mode!' ) ;
	            return false;
            }   
    	        
	        // Insert desired HTML at the current cursor position of the FCK editor if it is not already inserted 
            function InsertAtCursorPosition(htmlString)        
            {
                //var content = GetContent();
                InsertHTML(htmlString);
                /*
                // doesnt already exist -> insert
                if (!IsInContent(content, htmlString))
                {
                    InsertHTML(htmlString);
                }
                // already exists -> alert
                else
                {
                    alert(document.getElementById('alertexist').value + " '" + htmlString + "'");
                }*/
                return false;
            }  
            
            function InsertEditableRegion()
            {
                if (document.getElementById('txtName').value == '')
                {
                  alert(emptyNameMsg);
                  return;
                }
                
                /*if (document.getElementById('txtWidth').value == '')
                {
                  alert(emptyWidthMsg);
                  return;
                }
                if (document.getElementById('txtHeight').value == '')
                {
                  alert(emptyHeightMsg);
                  return;
                }*/                               
                
                var region = "$$";
                region += document.getElementById('txtName').value + ":";
                region += document.getElementById('txtWidth').value + ":";
                region += document.getElementById('txtHeight').value + "$$";
                InsertHTML(region);
                /*document.getElementById('txtName').value = "";
                document.getElementById('txtWidth').value = "";
                document.getElementById('txtHeight').value = "";*/
            }
            
    </script>

</body>
</html>
