<%@ Page Language="C#" AutoEventWireup="true" CodeFile="NewsletterTemplate_New.aspx.cs"
    Inherits="CMSDesk_Tools_Newsletters_Templates_NewsletterTemplate_New" Theme="Default" %>

<%@ Register Src="../../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle"
    TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Tools - Newsletter template edit</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlUsers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle ID="PageTitle" runat="server" />
                    </asp:Panel>
                    <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="vertical-align: top" cellspacing="5">
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTemplateDisplayName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtTemplateDisplayName" runat="server" SkinID="TextboxField" MaxLength="250" />
                                    <asp:RequiredFieldValidator ID="rfvTemplateDisplayName" runat="server" ControlToValidate="txtTemplateDisplayName"
                                        Display="dynamic"></asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTemplateName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtTemplateName" runat="server" SkinID="TextboxField" MaxLength="250" />
                                    <asp:RequiredFieldValidator ID="rfvTemplateName" runat="server" ControlToValidate="txtTemplateName"
                                        Display="dynamic"></asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTemplateType" EnableViewState="false" /></td>
                                <td>
                                    <asp:DropDownList ID="drpTemplateType" runat="server" SkinID="DropDownField" /></td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                        SkinID="ContentButton" /></td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
