<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Polls_General.aspx.cs" Inherits="CMSDesk_Tools_Polls_Polls_Edit"
    Theme="Default" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Poll properties</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="vertical-align: top">
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblDisplayName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtDisplayName" runat="server" SkinID="TextboxField" MaxLength="200" />
                                    <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" ControlToValidate="txtDisplayName" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblCodeName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtCodeName" runat="server" SkinID="TextboxField" MaxLength="200" />
                                    <asp:RequiredFieldValidator ID="rfvCodeName" runat="server" ControlToValidate="txtCodeName" />
                                </td>
                            </tr>
                            
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTitle" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtTitle" runat="server" SkinID="TextboxField" MaxLength="100" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblQuestion" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtQuestion" runat="server" TextMode="MultiLine" SkinID="TextAreaField"
                                        MaxLength="450" />
                                    <asp:RequiredFieldValidator ID="rfvQuestion" runat="server" ControlToValidate="txtQuestion" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblOpenFrom" EnableViewState="false" /></td>
                                <td>
                                    <cc1:DateTimePicker ID="dtPickerOpenFrom" runat="server"></cc1:DateTimePicker>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblOpenTo" EnableViewState="false" /></td>
                                <td>
                                    <cc1:DateTimePicker ID="dtPickerOpenTo" runat="server"></cc1:DateTimePicker>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblResponseMessage" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtResponseMessage" runat="server" TextMode="MultiLine" SkinID="TextAreaField"
                                        MaxLength="450" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAllowMultipleAnswers" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox ID="chkAllowMultipleAnswers" runat="server" SkinID="CheckBoxMovedLeft"
                                        AutoPostBack="false" /></td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                        SkinID="ContentButton" /></td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
