using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.CMSHelper;

public partial class CMSDesk_Tools_Reporting_Category_Frameset : CMSDeskPage
{
    protected string categoryContentUrl = "Report_List.aspx?categoryid=";
    protected string categoryHeaderUrl = "Category_Header.aspx?categoryid=";

    protected void Page_Load(object sender, EventArgs e)
    {
        // check 'Read' permission
        if (!CMSContext.CurrentUser.IsAuthorizedPerResource("cms.reporting", "Read"))
        {
            CMSDeskPage.RedirectToAccessDenied("cms.reporting", "Read");
        }

        int categoryId = ValidationHelper.GetInteger(Request.QueryString["categoryid"], 0);
        if (ValidationHelper.GetInteger(Request.QueryString["saved"], 0) > 0)
        {
            categoryContentUrl +=  categoryId.ToString() + "&saved=1";
            categoryHeaderUrl += categoryId.ToString() + "&saved=1";
        }
        else
        {
            categoryContentUrl += categoryId.ToString();
            categoryHeaderUrl += categoryId.ToString();
        }

    }
}
