using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.Reporting;
using CMS.GlobalHelper;
using CMS.CMSHelper;

public partial class Reporting_SavedReport_Print : CMSModalPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Check 'Read' permission
        if (!CMSContext.CurrentUser.IsAuthorizedPerResource("cms.reporting", "Read"))
        {
            CMSDeskPage.RedirectToAccessDenied("cms.reporting", "Read");
        }

        int reportId = ValidationHelper.GetInteger(Request.QueryString["reportid"], 0);
        SavedReportInfo sri = SavedReportInfoProvider.GetSavedReportInfo(reportId);
        if (sri != null)
        {
            ltlHtml.Text = sri.SavedReportHTML;
        }
    }
}
