<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Tasks.aspx.cs" Inherits="CMSDesk_Tools_Staging_Tasks_Tasks"
    Theme="Default" EnableEventValidation="false" MaintainScrollPositionOnPostback="true" %>

<%@ Register Src="../../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle"
    TagPrefix="uc1" %>
<%@ Register Src="../../../../CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Staging - Tasks</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height: 100%;
		}
	</style>

    <script type="text/javascript" language="javascript">
    <!--
            // Check specified checjboxes
            function SelectCheckboxes(checkbox)
            {
                var checkboxes = document.getElementsByTagName("input");
                for(var i = 0;i<checkboxes.length;i++)
                {
                    if(checkboxes[i].className == 'chckbox')
                    {
                        if(checkbox.checked)
                        {
                            checkboxes[i].checked=true;
                        }
                        else
                        {
                            checkboxes[i].checked=false;
                        }
                    }
                        
                }
                return false;
            }
    
    -->
    </script>

</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="PanelBody" runat="server" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlMenu" SkinID="ContentEditMenu">
                <table cellpadding="0" cellspacing="0">
                    <tr>
                        <td class="MenuItemEdit" style="height: 19px">
                            <asp:LinkButton ID="btnCurrent" runat="server" OnClick="btnCurrent_Click">
                                <asp:Image ID="imgCurrent" runat="server" />
                                <%= syncCurrent %>
                            </asp:LinkButton>
                        </td>
                        <td class="MenuItemEdit" style="height: 19px">
                            <asp:LinkButton ID="btnSubtree" runat="server" OnClick="btnSubtree_Click">
                                <asp:Image ID="imgSubtree" runat="server" />
                                <%= syncSubtree %>
                            </asp:LinkButton>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                <asp:Label ID="lblInfo" runat="server" SkinID="InfoLabel" EnableViewState="false" />
                <asp:Label ID="lblError" runat="server" SkinID="errorlabel" EnableViewState="false" />
                <asp:CheckBox ID="chk" style="padding-left: 12px;font-weight: bold;" runat="server" />
                <asp:GridView runat="server" ID="gridTask" AutoGenerateColumns="false" GridLines="Horizontal"
                    SkinID="ContentGrid" CellPadding="3" OnRowCommand="gridTask_RowCommand" OnRowDeleting="gridTask_RowDeleting">
                    <HeaderStyle HorizontalAlign="Left" CssClass="ContentGridHead" Wrap="false" />
                    <Columns>
                        <asp:TemplateField ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <input type="checkbox" class="chckbox" id="chkSelect" runat="server" />
                                <asp:Literal ID="ltlID" runat="server" Visible="false" Text='<%# DataBinder.Eval(Container.DataItem, "TaskID") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <%--<asp:ImageButton runat="server" ID="btnView" OnClientClick='<%# "ViewTask(" + DataBinder.Eval(Container.DataItem, "TaskID") + "); return false;" %>'
                                    ImageUrl='<%# viewImage %>' />--%>
                                <asp:ImageButton runat="server" ID="btnSync" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "TaskID") %>'
                                    CommandName="sync" ImageUrl='<%# syncImage %>' ToolTip='<%# syncTooltip %>' />
                                <asp:ImageButton ID="btnDelete" runat="server" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "TaskID") %>'
                                    OnClientClick='<%# "return ConfirmDeleteTask(" + DataBinder.Eval(Container.DataItem, "TaskID") + ");" %>'
                                    CommandName="delete" ImageUrl='<%# deleteImage %>' ToolTip='<%# deleteTooltip %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="TaskTitle" ItemStyle-Width="100%" />
                        <asp:BoundField DataField="TaskType" ItemStyle-Wrap="false" />
                        <asp:BoundField DataField="TaskTime" ItemStyle-Wrap="false" />
                        <asp:TemplateField>
                            <ItemTemplate>
                                <%# GetResultLink(DataBinder.Eval(Container.DataItem, "FailedCount"), DataBinder.Eval(Container.DataItem, "TaskID"))%>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <br />
                <asp:Panel runat="server" ID="pnlFooter">
                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <asp:Button runat="server" ID="btnSyncSelected" SkinID="LongButton" OnClick="btnSyncSelected_Click" />
                                <asp:Button runat="server" ID="btnSyncAll" SkinID="LongButton" OnClick="btnSyncAll_Click" />
                            </td>
                            <td style="text-align: right;">
                                <asp:Button runat="server" ID="btnDeleteSelected" SkinID="LongButton" OnClick="btnDeleteSelected_Click" />
                                <asp:Button runat="server" ID="btnDeleteAll" SkinID="LongButton" OnClick="btnDeleteAll_Click" />
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <asp:Literal runat="server" ID="ltlScript" EnableViewState="false"></asp:Literal>
            </asp:Panel>
        </asp:Panel>

        <script type="text/javascript" language="javascript">
        <!--
            function ViewTask(taskId)
            {
                modalDialog('View.aspx?taskid=' + taskId, 'viewtask', 700, 500);
            }
        -->
        </script>

    </form>
</body>
</html>
