using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class CMSEcommerce_ShoppingCartMiniPreview : UserControl
{
    public Image IconImage
    {
        get
        {
            return this.imgCartIcon;
        }
    }

    public HyperLink ShoppingCartLink
    {
        get
        {
            return this.lnkShoppingCart;
        }
    }

    public HyperLink MyAccountLink
    {
        get
        {
            return this.lnkMyAccount;
        }
    }

    public HyperLink MyWishlistLink
    {
        get
        {
            return this.lnkMyWishlist;
        }
    }


    public Label TotalPriceTitle
    {
        get
        {
            return this.lblTotalPriceTitle;
        }
    }

    public Label TotalPriceValue
    {
        get
        {
            return this.lblTotalPriceValue;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        // Hide those links which are empty
        if (this.lnkShoppingCart.NavigateUrl == "")
        {
            plhShoppingCart.Visible = false;
        }
        if (this.lnkMyAccount.NavigateUrl == "")
        {
            plhMyAccount.Visible = false;
        }
        if (this.lnkMyWishlist.NavigateUrl == "")
        {
            plhMyWishlist.Visible = false;
        }
    }
}
