using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;

public partial class CMSFormControls_selectrole : CMS.FormEngine.FormEngineUserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.Page.ClientScript.RegisterClientScriptBlock(typeof(string), ScriptHelper.DIALOG_SCRIPT_KEY, ScriptHelper.DialogScript);
        btnSelect.OnClientClick = "modalDialog('" + ResolveUrl("~/CMSWebParts/Designers/RoleSelection.aspx") + "?elemId="+ txtRole.ClientID +"','roleSelector',435, 585); return false;";// "open('" + txtRole.ClientID + "'); return false;";
    }

    ///<summary>Gets or sets field value.</summary>
    public override object Value
    {
        get
        {
            return txtRole.Text;
        }
        set
        {
            txtRole.Text = (string)value;
        }
    }


    /// <summary>
    /// Return true if user control is valid.
    /// </summary>
    /// <returns></returns>
    public override bool IsValid()
    {
        if (txtRole.Text.Trim() != "")
        {
            return true;
        }
        else
        {
            this.ValidationError = ResHelper.GetString("RoleConfiguration.ValidationError");
            return false;
        }
    }
}
