CREATE TABLE [COM_Currency] (
		[CurrencyID]               int NOT NULL IDENTITY(1, 1),
		[CurrencyName]             nvarchar(200) NOT NULL,
		[CurrencyDisplayName]      nvarchar(200) NOT NULL,
		[CurrencyCode]             nvarchar(50) NOT NULL,
		[CurrencyRoundTo]          int NULL,
		[CurrencyEnabled]          bit NOT NULL,
		[CurrencyFormatString]     nvarchar(100) NOT NULL,
		[CurrencyIsMain]           bit NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_Currency]
	ADD
	CONSTRAINT [PK_COM_Currency]
	PRIMARY KEY
	([CurrencyID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_Currency]
	ON [COM_Currency] ([CurrencyName])
	ON [PRIMARY]
CREATE INDEX [IX_COM_Currency_1]
	ON [COM_Currency] ([CurrencyDisplayName])
	ON [PRIMARY]
