CREATE TABLE [COM_PublicStatus] (
		[PublicStatusID]              int NOT NULL IDENTITY(1, 1),
		[PublicStatusName]            nvarchar(200) NOT NULL,
		[PublicStatusDisplayName]     nvarchar(200) NOT NULL,
		[PublicStatusEnabled]         bit NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_PublicStatus]
	ADD
	CONSTRAINT [PK_COM_PublicStatus]
	PRIMARY KEY
	([PublicStatusID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_PublicStatus]
	ON [COM_PublicStatus] ([PublicStatusName])
	ON [PRIMARY]
CREATE INDEX [IX_COM_PublicStatus_1]
	ON [COM_PublicStatus] ([PublicStatusDisplayName])
	ON [PRIMARY]
