CREATE PROCEDURE [proc_CMS_Group_MoveNodeDown]
	@GroupID int,
	@GroupSiteID int
AS
BEGIN
	/* Move the next node(s) up */
	UPDATE Forums_ForumGroup SET GroupOrder = GroupOrder - 1 WHERE GroupOrder = (SELECT GroupOrder FROM Forums_ForumGroup WHERE GroupId = @GroupID) + 1 AND GroupSiteID = @GroupSiteID
	/* Move the current node down */
	UPDATE Forums_ForumGroup SET GroupOrder = GroupOrder + 1 WHERE GroupID = @GroupID
END
