using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CMS.GlobalHelper;

public partial class CMSSiteManager_DiskPermissions : MessagePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string message = ResHelper.GetFileString("CMSSiteManager.DiskPermissions");

        message = message.Replace("<user>", System.Security.Principal.WindowsIdentity.GetCurrent().Name);
        message = message.Replace("<folder>", Server.MapPath("~/."));

        LabelMessage.Text = message;
        this.titleElem.TitleText = ResHelper.GetFileString("CMSSiteManager.InvalidDiskPermissions");
        this.titleElem.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSSiteManager/denied.gif";
    }
}
