using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.CMSHelper;
using CMS.GlobalHelper;
using CMS.LicenseProvider;

public partial class CMSMessages_error : MessagePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.titleElem.TitleText = ResHelper.GetString("Error.Header");
        this.titleElem.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSMessages/error.gif";

        this.lblInfo.Text = String.Format(ResHelper.GetString("Error.Info"), Request.QueryString["aspxerrorpath"]);

        this.lnkBack.Text = ResHelper.GetString("Error.Back");
        this.lnkBack.NavigateUrl = "~/";
    }
}
