<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DocumentType_Edit_Form.aspx.cs"
    Inherits="CMSSiteManager_Development_DocumentTypes_DocumentType_Edit_Form" Theme="Default"
    ValidateRequest="false" %>

<%@ Register TagPrefix="fckeditorv2" Namespace="CMS.FCKeditorV2" Assembly="CMS.FCKeditorV2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Document Type Edit - Form</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlUsers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                        <asp:Label ID="lblError" runat="server" SkinID="ErrorLabel" EnableViewState="false" Visible="false"></asp:Label>
                        <asp:Label ID="lblInfo" runat="server" SkinID="Information" EnableViewState="false" Visible="false"></asp:Label>
                        <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td colspan="2">
                                    <asp:CheckBox ID="chkCustomLayout" runat="server" AutoPostBack="true" OnCheckedChanged="chkCustomLayout_CheckedChanged" /></td>
                            </tr>
                            <asp:Panel ID="pnlCustomLayout" runat="server">
                                <tr>
                                    <td colspan="2" class="GenerateButtonPadding">
                                        <asp:Button ID="btnGenerateLayout" runat="server" OnClientClick="SetContent(GenerateTableLayout()); return false;"
                                            SkinID="LongButton" /></td>
                                </tr>
                                <tr height="230">
                                    <td rowspan="2" width="550">
                                        <fckeditorv2:FCKeditor ID="fckEditor" runat="server" Width="550px" Height="300px">
                                        </fckeditorv2:FCKeditor>
                                    </td>
                                    <td valign="top" class="RightColumn">
                                        <asp:Label ID="lblAvailableFields" runat="server" EnableViewState="false" SkinID="AvailableFieldsTitle"></asp:Label>
                                        <asp:ListBox ID="lstAvailableFields" runat="server" SkinID="FieldsList"></asp:ListBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td valign="bottom" class="RightColumn">
                                        <asp:Button ID="btnInsertLabel" runat="server" SkinID="LongButton" OnClientClick="InsertAtCursorPosition('$$label:' + document.getElementById('lstAvailableFields').value + '$$'); return false;" /><br />
                                        <asp:Button ID="btnInsertInput" runat="server" SkinID="LongButton" OnClientClick="InsertAtCursorPosition('$$input:' + document.getElementById('lstAvailableFields').value + '$$'); return false;" /><br />
                                        <asp:Button ID="btnInsertValLabel" runat="server" SkinID="LongButton" OnClientClick="InsertAtCursorPosition('$$validation:' + document.getElementById('lstAvailableFields').value + '$$'); return false;" />
                                    </td>
                                </tr>
                            </asp:Panel>
                            <tr>
                                <td>
                                    <br />
                                    <asp:Button ID="btnOK" runat="server" OnClick="btnOK_Clicked" OnClientClick="return CheckContent();"
                                        SkinID="ContentButton" /></td>
                            </tr>
                        </table>
                        <asp:Literal ID="ltlConfirmDelete" runat="server"></asp:Literal>
                        <asp:Literal ID="ltlAlertExist" runat="server"></asp:Literal>
                        <asp:Literal ID="ltlAlertExistFinal" runat="server"></asp:Literal>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>

    <script type="text/javascript" language="javascript">
    
        // Insert desired HTML at the current cursor position of the FCK editor
        function InsertHTML(htmlString)
        {
	        // Get the editor instance that we want to interact with.
	        var oEditor = FCKeditorAPI.GetInstance("fckEditor") ;

	        // Check the active editing mode.
	        if ( oEditor.EditMode == FCK_EDITMODE_WYSIWYG )
	        {
		        // Insert the desired HTML.
		        oEditor.InsertHtml(htmlString) ;
	        }
	        else
		        alert( 'You must be on WYSIWYG mode!' ) ;
        }   
        
        
        // Set content of the FCK editor - replace the actual one
        function SetContent(newContent)
        {
	        // Get the editor instance that we want to interact with.
	        var oEditor = FCKeditorAPI.GetInstance('fckEditor') ;

	        // Set the editor content (replace the actual one).
	        oEditor.SetHTML(newContent) ;	        
        }


        // Get content of the FCK editor in XHTML
        function GetContent()
        {
	        // Get the editor instance that we want to interact with.
	        var oEditor = FCKeditorAPI.GetInstance('fckEditor') ;

	        // Get the editor content in XHTML.
	        return oEditor.GetXHTML( true );		// "true" means you want it formatted.
        }    
         
         
        // Returns HTML code with standard table layout
        function GenerateTableLayout()
        {                        
            var tableLayout = "";

            // indicates whether any row definition was added to the table
            var rowAdded = false;
            
            // list of attributes
            var list = document.getElementById("lstAvailableFields"); 
                       
            // attributes count
            var optionsCount = list.options.length;                        
            
            for (var i=0; i < optionsCount; i++) 
            {
                 tableLayout += "<tr><td>$$label:" + list.options[i].value + "$$</td><td>$$input:" + list.options[i].value + "$$<br/>$$validation:" + list.options[i].value + "$$</td></tr>";
                 rowAdded = true;                                 
            }
            
            if (rowAdded)
            {
                tableLayout =  "<table><tbody>" + tableLayout + "</tbody></table>";         
            }
            
            return tableLayout;
        }   
   
        
        // Determines whether specified html string is already in FCK editing window or not
        function IsInContent(content, htmlString)
        {            
           return (content.toLowerCase().indexOf(htmlString.toLowerCase()) != -1);          
        }
        
        // Determines whether specified html string is already in FCK editing window or not
        function IsInContentMoreThanOnce(content, htmlString)
        {
           return (content.toLowerCase().indexOf(htmlString.toLowerCase()) != content.toLowerCase().lastIndexOf(htmlString.toLowerCase()))        
        }
        
        
        // Insert desired HTML at the current cursor position of the FCK editor if it is not already inserted 
        function InsertAtCursorPosition(htmlString)        
        {
            var content = GetContent();
            
            // doesnt already exist -> insert
            if (!IsInContent(content, htmlString))
            {
                InsertHTML(htmlString);
            }
            // already exists -> alert
            else
            {
                alert(document.getElementById('alertexist').value + " '" + htmlString + "'");
            }
        }  
        
        // Checks if field items are only once in FCK editor content
        function CheckContent()
        {
            var content = GetContent();
        
             // list of attributes
            var list = document.getElementById("lstAvailableFields"); 
            
            // attributes count
            var optionsCount = list.options.length;   
            
            // array of field Items
            var fieldItems = new Array(3);
            
            // error mesaage to display
            var errorMessage = "";                        
                                    
            fieldItems[0] = "label:";
            fieldItems[1] = "input:";
            fieldItems[2] = "validation:";
            
            
            // for each field
            for (var i=0; i < optionsCount; i++) 
            {
                 // for each field item
                 for (var j=0; j < 3; j++) 
                 {   
                     // string to check
                     htmlString = "$$" + fieldItems[j] + list.options[i].value + "$$";
                                 
                     if (IsInContentMoreThanOnce(content,htmlString))
                     {
                        if (errorMessage == "")
                        {
                            errorMessage = document.getElementById('alertexistfinal').value+"\n";                            
                        }                                                
                        errorMessage += "'" + htmlString + "', ";
                     }
                 }                           
            } 
            
            if (errorMessage != "")
            {
                // remove ending comma ", " from error string                
                errorMessage = errorMessage.substring(0, errorMessage.length - 2);
                
                // display error message
                alert(errorMessage);
                
                // avoid sending form data          
                return false;     
            }
            else
            {
                // send form data
                return true;
            }      
            
            
        }   
        
        
        function ConfirmDelete()
        {     
            return confirm(document.getElementById('confirmdelete').value);      
        }                                    
    </script>

</body>
</html>
