<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Site_Edit_General.aspx.cs"
    Inherits="SiteManager_Sites_Site_Edit_General" Theme="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Site Edit - General</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblDisplayName" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxDisplayName" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorDisplayName" runat="server"
                                        ControlToValidate="TextBoxDisplayName" SkinID="ContentValidator" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCodeName" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxCodeName" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorCodeName" runat="server" ErrorMessage="RequiredFieldValidator"
                                        ControlToValidate="TextBoxCodeName" SkinID="ContentValidator" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblDomainName" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxDomainName" runat="server" SkinID="TextboxField" MaxLength="400"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorDomainName" runat="server"
                                        ErrorMessage="RequiredFieldValidator" ControlToValidate="TextBoxDomainName" SkinID="ContentValidator"
                                        Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCulture" runat="server" EnableViewState="false" />
                                </td>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCultureValue" runat="server" />&nbsp;<asp:Button runat="server" ID="btnChange" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblVisitorCulture" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:DropDownList ID="drpVisitorCulture" runat="server" SkinID="DropDownField">
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <!--
                            <td class="FieldLabel">
                                <asp:Label ID="lblLicenseKey" runat="server" EnableViewState="false" />
                            </td>
                            <td>
                                <asp:TextBox ID="TextBoxLicenseKey" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                            </td> 
                            -->
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCssStyle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:DropDownList ID="drpCssStyle" runat="server" SkinID="DropDownField">
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblEditorStyle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:DropDownList ID="drpEditorStyle" runat="server" SkinID="DropDownField">
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel" style="vertical-align: top; padding-top: 5px">
                                    <asp:Label ID="lblDescription" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxDescription" runat="server" SkinID="TextAreaField" TextMode="MultiLine" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <asp:Button ID="ButtonOk" runat="server" Text="Button" OnClick="ButtonOk_Click" SkinID="ContentButton"
                                        EnableViewState="false" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
        
        <script language="javascript" type="text/javascript">
        <!--
            function OpenCultureChanger(siteId, culture)
            {
                if (siteId != '0')
                {
                    modalDialog(pageChangeUrl + '?siteid=' + siteId+'&culture='+culture, 'CutlureChange', 350, 200);
                }
            }	
        -->	
        </script>
        
        <asp:Literal runat="server" ID="ltlScript" EnableViewState="false" />
        <asp:Button runat="server" ID="btnHidden" SkinID="HiddenButton" OnClick="btnHidden_Click" />
        <asp:HiddenField runat="server" ID="hdnCulture" />
    </form>
</body>
</html>
