<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BasicDataGrid.aspx.cs" Inherits="CMSControlsExamples_BasicDataGrid"
    Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>BasicDataGrid example</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
    <link href="Styles.css" type="text/css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="BasicDataGrid example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <div style="width: 100%; border: solid 1px #CCCCCC;">
                    <table style="margin-left: auto; margin-right: auto; text-align: center;">
                        <tr>
                            <td style="padding: 35px;">
                                <cc1:BasicDataGrid ID="BasicDataGrid1" runat="server" BorderStyle="None" BorderWidth="1px"
                                    CellPadding="5" BackColor="White" GridLines="Vertical" AutoGenerateColumns="False"
                                    AllowPaging="True" AllowSorting="True" PageSize="10" BorderColor="#999999" HideControlForZeroRows="False"
                                    ZeroRowsText="no data found">
                                    <PagerStyle HorizontalAlign="Center" ForeColor="Black" BackColor="#999999" Mode="NumericPages">
                                    </PagerStyle>
                                    <AlternatingItemStyle BackColor="#DCDCDC"></AlternatingItemStyle>
                                    <FooterStyle ForeColor="Black" BackColor="#CCCCCC"></FooterStyle>
                                    <SelectedItemStyle Font-Bold="True" ForeColor="White" BackColor="#008A8C"></SelectedItemStyle>
                                    <ItemStyle ForeColor="Black" BackColor="#EEEEEE"></ItemStyle>
                                    <HeaderStyle Font-Bold="True" ForeColor="White" BackColor="#000084"></HeaderStyle>
                                    <Columns>
                                        <asp:boundcolumn datafield="productName" sortexpression="productName" headertext="Name">
                                            <headerstyle width="200px" />
                                        </asp:boundcolumn>
                                        <asp:boundcolumn datafield="productPrice" sortexpression="productPrice" headertext="Price">
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle width="50px" horizontalalign="Center" />
                                        </asp:boundcolumn>
                                    </Columns>
                                </cc1:BasicDataGrid>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
