<%@ Page Language="c#" Inherits="CMSControlsExamples.CMSBreadCrumbs" CodeFile="CMSBreadCrumbs.aspx.cs" Theme="Default" %>

<%@ Register TagPrefix="cc1" Namespace="CMS.Controls" Assembly="CMS.Controls" %>
<%@ Register TagPrefix="cc2" Namespace="CMS.TreeEngine" Assembly="CMS.TreeEngine" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>CMSBreadCrumbs example</title>
	<link href="Styles.css" type="text/css" rel="stylesheet"/>
	<style type="text/css">
	    .CMSBreadCrumbsLink { color: #c34c17; text-decoration: underline }
	    .CMSBreadCrumbsCurrentItem { color: #09ab05 }
	</style>
</head>
<body>
	<form id="Form1" method="post" runat="server">
	    <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="CMSBreadCrumbs example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
		        <cc1:cmsbreadcrumbs id="CMSBreadCrumbs1" runat="server" Path="/Products/Notebooks"
		        ShowCurrentItem="true" />
		    </asp:Panel>
        </asp:Panel>
	</form>
</body>
</html>
