using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class CMSControlsExamples_CMSDocumentComparison : ControlsExamplesPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // define table rows
        string[,] tableParameters = new string[4, 4];
        tableParameters[0, 0] = "Product:";
        tableParameters[0, 1] = "ProductName";
        tableParameters[1, 0] = "Description:";
        tableParameters[1, 1] = "ProductDescription";
        tableParameters[2, 0] = "Price:";
        tableParameters[2, 1] = "ProductPrice";
        tableParameters[2, 2] = "USD {%ProductPrice%}";
        tableParameters[2, 3] = "N/A";
        this.CMSDocumentComparison1.TableParams = tableParameters;
        // set CSS styles
        this.CMSDocumentComparison1.BasicMultiColumnTable.TableFirstRowCellCSSClass = "MulticolumnTableFirstRow";
        this.CMSDocumentComparison1.BasicMultiColumnTable.TableFirstColumnCellCssClass = "MulticolumnTableFirstColumnCell"; 
    }
}
