using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Field editor data mode.
/// </summary>
public enum FieldEditorModeEnum
{   
    /// <summary>
    /// Class form definition.
    /// </summary> 
    ClassFormDefinition = 1,
    /// <summary>
    /// Webpart properties.
    /// </summary>
    WebPartProperties = 2,
    /// <summary>
    /// System table.
    /// </summary>
    SystemTable = 3,
    /// <summary>
    /// BizForm definition.
    /// </summary>
    BizFormDefinition = 4,
    /// <summary>
    /// General mode that uses XML definition only.
    /// </summary>
    General = 5

}

