using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// User contribution allow user enumeration.
/// </summary>
public enum UserContributionAllowUserEnum
{   
    /// <summary>
    /// All users are allowed.
    /// </summary> 
    All = 0,
    /// <summary>
    /// Only authenticated users.
    /// </summary>
    Authenticated = 1,
    /// <summary>
    /// Only document owner.
    /// </summary>
    DocumentOwner = 2,
}

