<%@ Control Language="C#" AutoEventWireup="true" CodeFile="UniGrid.ascx.cs" Inherits="UniGrid"%>
<asp:Panel ID="pnlBody" runat="server" SkinID="UniGridBody">    
    <asp:Panel ID="pnlHeader" runat="server" SkinID="UniGridHeader">
        <asp:PlaceHolder ID="filter" runat="server" Visible="false"></asp:PlaceHolder>
        <asp:Label ID="lblInfo" runat="server" ></asp:Label> 
    </asp:Panel>
    <asp:Panel ID="pnlContent" runat="server" SkinID="UniGridContent" Width="100%">           
        <asp:GridView ID="UniGridView" runat="server" AllowPaging="True" PageSize="25" AutoGenerateColumns="False"
            AllowSorting="true" OnSorting="UniGridView_Sorting" OnPageIndexChanging="UniGridView_PageIndexChanging"
            OnRowCommand="UniGridView_RowCommand" OnRowDeleting="UniGridView_RowDeleting"
            OnRowEditing="UniGridView_RowEditing" OnRowUpdating="UniGridView_RowUpdating" CellPadding="3" SkinID="UniGridGrid" >
            <HeaderStyle HorizontalAlign="Left" CssClass="UniGridHead" />
        </asp:GridView>
        <asp:Panel ID="pnlFooter" runat="server" SkinID="UniGridFooter" Visible="false" >
            <asp:Label runat="server" ID="lblItems" />
            <asp:DropDownList ID="pageSizeDropdown" runat="server" AutoPostBack="true"
                EnableViewState="true" SkinID="UniGridPageSize">
                <asp:ListItem Value="25" Text="25"></asp:ListItem>
                <asp:ListItem Value="50" Text="50"></asp:ListItem>
                <asp:ListItem Value="100" Text="100"></asp:ListItem>
                <asp:ListItem Value="All" Text="All"></asp:ListItem>
            </asp:DropDownList>
        </asp:Panel>
    </asp:Panel>
</asp:Panel>
