<%@ Page Language="C#" AutoEventWireup="true" CodeFile="NewCultureVersion.aspx.cs"
    Inherits="CMSDesk_Content_NewCultureVersion" Theme="Default" %>

<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Src="../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - New culture version</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <b>
                    <asp:Label ID="lblInfo" runat="server" SkinID="ContentLabel"></asp:Label></b><br />
                <br />
                <asp:Panel runat="server" ID="pnlNewVersion">
                    <table>
                        <tr>
                            <td>
                                <asp:RadioButton ID="radEmpty" runat="server" GroupName="NewVersion" Checked="true" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:RadioButton ID="radCopy" runat="server" GroupName="NewVersion" />
                            </td>
                        </tr>
                        <tr id="divCultures" style="display: none;">
                            <td>
                                <asp:Panel runat="server" ID="pnlCultures" SkinID="softselectionborder">
                                    <asp:ListBox runat="server" ID="lstCultures" DataTextField="DocumentCulture" DataValueField="DocumentID"
                                        SkinID="ContentListBoxLow" />
                                </asp:Panel>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Button ID="btnOK" runat="server" />
                            </td>
                        </tr>
                    </table>
                    <asp:Literal ID="ltlScript" runat="server" EnableViewState="false" />

                    <script language="javascript" type="text/javascript">
                    <!--
                        var divCulturesElem = document.getElementById('divCultures');
                        var divCulturesStyle = divCulturesElem.style ? divCulturesElem.style : divCulturesElem;
                    
                        // Displays the content based on current selection
                        function ShowSelection()
                        {
                            if (radCopyElem.checked)
                            {
                                divCulturesStyle.display = "block";
                            }
                            else
                            {
                                divCulturesStyle.display = "none";
                            }
                        }
                        
                        // Initializes the new culture action
                        function NewDocument(nodeId)
                        {
                            if ( radCopyElem.checked )
                            {
                                document.location.replace("documentframeset.aspx?action=newculture&nodeid=" + nodeId + "&sourcedocumentid=" + lstCulturesElem.options[lstCulturesElem.selectedIndex].value );
                            }
                            else
                            {
                                document.location.replace("documentframeset.aspx?action=newculture&nodeid=" + nodeId);
                            }
                        }
                    -->
                    </script>

                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
