<%@ Page Language="C#" AutoEventWireup="true" CodeFile="NewLink.aspx.cs" Inherits="CMSDesk_Content_NewLink"
    Theme="Default" %>

<%@ Register Src="ContentTree.ascx" TagName="ContentTree" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - New link</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
        
        .SelectionArea
        {
            height: 500px;
            overflow: auto;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <input type="hidden" id="currentNode" name="currentNode" value="0" />
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel ID="pnlContent" runat="server" SkinID="PageContentFrame">
                <asp:Label ID="lblError" runat="server" EnableViewState="false" ForeColor="Red"></asp:Label>
                <asp:Label ID="lblInfo" runat="server" SkinID="ContentLabel" EnableViewState="false"></asp:Label>
                <br />
                <br />
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblSite" runat="server" /></td>
                        <td>
                            <asp:DropDownList ID="drpSites" runat="server" DataTextField="SiteDisplayName" DataValueField="SiteName" AutoPostBack="true" OnSelectedIndexChanged="drpSites_SelectedIndexChanged" /></td>
                    </tr>
                </table>
                <br />
                <div class="SelectionBorder">
                    <div class="SelectionArea">
                        <uc1:ContentTree ID="treeElem" runat="server" />
                    </div>
                </div>
                <asp:Button ID="btnOk" runat="server" SkinID="HiddenButton" OnClick="btnOk_Click" />
            </asp:Panel>
        </asp:Panel>
        <input type="hidden" id="hidAnother" name="hidAnother" value="" />

        <script language="javascript" type="text/javascript">
        <!--   
            var currentNode = document.getElementById('treeSelectedNode');
            var currentNodeId = 0;
                      
            // Passive refresh
            function PassiveRefresh(nodeId, parentNodeId)
            {
                parent.PassiveRefresh(nodeId, parentNodeId);
            }
            
            // Refresh action
            function RefreshNode(nodeId, selectNodeId)
            {
                return parent.RefreshNode(nodeId, selectNodeId);
            }    
            
            function SelectNode(nodeId)
            {
                return parent.SelectNode(nodeId);
            }      
                                          
            // Select node action
            function SelectTreeNode(nodeId, nodeElem)
            {
                if ( (currentNode != null) && (nodeElem != null) )
                {
                    currentNode.className = 'ContentTreeItem';
                }
                
                document.getElementById('currentNode').value = nodeId;
                currentNodeId = nodeId;
                
                if ( nodeElem != null )
                {
                    currentNode = nodeElem;
                    if ( currentNode != null )
                    {
                        currentNode.className = 'ContentTreeSelectedItem';
                    }
                }
            }            
            
            // Create another
            function CreateAnother()
            {
                parent.CreateAnother();
            }   
        -->
        </script>

        <asp:Literal ID="ltlScript" runat="server" EnableViewState="False"></asp:Literal></form>
</body>
</html>
