using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.SiteProvider;
using CMS.CMSHelper;
using CMS.GlobalHelper;

public partial class CMSDesk_Content_SelectLinkDialog_tree : CMSModalPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int siteId = ValidationHelper.GetInteger(Request.QueryString["siteid"], 0);
        string path = ValidationHelper.GetString(Request.QueryString["path"], "");

        // Set starting path        
        if (path != "")
        {
            treeContent.Path = path;
        }  

        this.treeContent.NodeTextTemplate = "<span class=\"ContentTreeItem\" onclick=\"SelectNode(##NODEID##, this, '##NODENAMEJAVA##'," + siteId + "); return false;\" >##ICON##<span class=\"Name\">##NODENAME##</span></span>";
        this.treeContent.SiteName = SiteInfoProvider.GetSiteInfo(ValidationHelper.GetInteger(Request.QueryString["siteid"], CMSContext.CurrentSite.SiteID)).SiteName;
    }
}
