using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.SiteProvider;
using CMS.CMSHelper;
using CMS.GlobalHelper;

public partial class CMSDesk_Content_SelectNodeDialog_tree : CMSModalPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.treeContent.NodeTextTemplate = "<span class=\"ContentTreeItem\" onclick=\"SelectNode(##NODEID##, this, '##NODENAMEJAVA##'); return false;\">##ICON##<span class=\"Name\">##NODENAME##</span></span>";
        this.treeContent.SiteName = SiteInfoProvider.GetSiteInfo(ValidationHelper.GetInteger(Request.QueryString["siteid"], CMSContext.CurrentSite.SiteID)).SiteName;

        // Set starting path
        string path = ValidationHelper.GetString(Request.QueryString["path"], "");
        if (path != "")
        {
            treeContent.Path = path;
        }  
    }
}
