<%@ Page Language="C#" AutoEventWireup="true" CodeFile="edit.aspx.cs" Inherits="CMSDesk_Content_edit"
    ValidateRequest="false" Theme="Default" %>

<%@ Register Assembly="CMS.FormEngine" Namespace="CMS.FormEngine" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - Edit</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
            width: 100%;
            overflow: hidden;
        }
        
        .ContentEditArea
        {
            height: 100%;
            width: 100%;
            position: absolute;
            z-index: 1;
            /*overflow: -moz-scrollbars-vertical;*/
            overflow: auto;
        }
        
        .ContentEditorToolbar
        {
            position: absolute;
            top: 0;
            width: 97%;
            height: 80px;
            overflow: auto;
            z-index: 2;
        }
        
        .ContentToolbarHeight
        {
            height: 75px;
	        background-color: #f5f3ec;
        }
    </style>
    
    <script language="javascript" src="../../CMSAdminControls/SpellChecker/spell.js" type="text/javascript"></script>
    <script type="text/javascript" language="javascript">
    <!--
        spellURL = "../../CMSAdminControls/SpellChecker/SpellCheck.aspx";
    -->
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:PlaceHolder runat="server" ID="plcSaveChanges" EnableViewState="false" Visible="false">
            <input type="hidden" name="saveChanges" id="saveChanges" value="0" />
            <script type="text/javascript" language="javascript" src="<%= ResolveUrl("~/CMSAdminControls/SaveChanges/savechanges.js") %>" ></script>
        </asp:PlaceHolder>

        <script type="text/javascript" language="javascript"> 
        <!--
            // Selects the node within the tree
            function SelectNode(nodeId)
            {
                parent.SelectNode(nodeId);
            }
            
            // Refresh action
            function RefreshNode(nodeId, selectNodeId)
            {
                parent.RefreshNode(nodeId, selectNodeId);
            }
            
            // Passive refresh
            function PassiveRefresh(nodeId, parentNodeId)
            {
                parent.PassiveRefresh(nodeId, parentNodeId);
            }
            
            // Create another
            function CreateAnother()
            {
                parent.CreateAnother();
            }
            
            // Spell check
            function SpellCheck()
            {
                checkSpelling();
            }
        -->
        </script>

        <asp:PlaceHolder ID="plcToolbar" runat="server" Visible="false" EnableViewState="false">
            <div id="FCKToolbar" class="ContentEditorToolbar">
            </div>
        </asp:PlaceHolder>
        <div class="ContentEditArea">
            <asp:Panel ID="pnlToolbarHeight" runat="server" CssClass="ContentToolbarHeight" EnableViewState="false"
                Visible="false">
                &nbsp;
            </asp:Panel>
            <input type="hidden" id="hidAnother" name="hidAnother" value="" />
            <asp:Literal ID="ltlScript" runat="server" EnableViewState="false"></asp:Literal>
            <asp:Panel runat="server" ID="pnlWorkflowInfo" SkinID="PageManagerWorkflowInfo">
                <asp:Label ID="lblWorkflowInfo" runat="server" SkinID="WorkflowInfo" EnableViewState="false" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
                <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                    <cc1:CMSForm runat="server" ID="formElem" Visible="false" HtmlAreaToolbarLocation="Out:FCKToolbar"
                        ShowOkButton="false" />
                </asp:Panel>
            </asp:Panel>
            <asp:Button ID="btnSave" runat="server" SkinID="HiddenButton" OnClick="btnSave_Click" />
            <asp:Button ID="btnApprove" runat="server" SkinID="HiddenButton" EnableViewState="false"
                OnClick="btnApprove_Click" />
            <asp:Button ID="btnReject" runat="server" SkinID="HiddenButton" EnableViewState="false"
                OnClick="btnReject_Click" />
            <asp:Button ID="btnCheckIn" runat="server" SkinID="HiddenButton" EnableViewState="true"
                OnClick="btnCheckIn_Click" />
        </div>
    </form>
</body>
</html>
