<%@ Page Language="C#" AutoEventWireup="true" CodeFile="menu.aspx.cs" Inherits="CMSDesk_Content_menu"
    Theme="Default" %>

<%@ Register Assembly="CMS.skmMenuControl" Namespace="CMS.skmMenuControl" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - Menu</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <input type="hidden" id="selectedNodeId" name="selectedNodeId" value="<%=selectedNodeId%>" />
        <input type="hidden" id="currentMode" name="currentMode" value="edit" />
        <asp:HiddenField runat="server" ID="requestPageUrl" />
        <asp:Literal ID="ltlData" runat="server" EnableViewState="false"></asp:Literal>
        <asp:Literal ID="ltlScript" runat="server" EnableViewState="false"></asp:Literal>
   
        <script type="text/javascript" language="javascript"> 
        <!--
            var requestPageUrl = document.getElementById('requestPageUrl').value;
            var selNodeElem = document.getElementById('selectedNodeId');
            var curModeElem = document.getElementById('currentMode');
            var imagesUrl = document.getElementById('imagesUrl').value;

            // Gets the current node Id
            function GetSelectedNodeId()
            {
                return selNodeElem.value;
            }
            
            // Sets the current node Id
            function SetSelectedNodeId(nodeId)
            {
                selNodeElem.value = nodeId;
            }

            // Gets the current node Id
            function GetCurrentMode()
            {
                return curModeElem.value;
            }
            
            // Sets the current node Id
            function SetCurrentMode(mode)
            {
                curModeElem.value = mode;
            }
         -->
        </script>

        <asp:Panel runat="server" ID="pnlBody" SkinID="ContentMenu">
            <asp:Panel runat="server" ID="pnlLeft" SkinID="ContentMenuLeft">
                <cc1:Menu ID="menuLeft" runat="server">
                </cc1:Menu>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlRight" SkinID="ContentMenuRight">
                <cc1:Menu ID="menuRight" runat="server" HighlightLastSelectedItem="True"></cc1:Menu>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlSep" SkinID="ContentMenuSeparator">
                &nbsp;
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlLang" SkinID="ContentMenuLang">
                <asp:Label ID="lblLanguage" runat="server" SkinID="ContentMenuLanguage" />
                <asp:DropDownList ID="dropLanguage" runat="server" SkinID="ContentMenuLangDrop" DataTextField="CultureName" DataValueField="CultureCode">
                </asp:DropDownList>
            </asp:Panel>
        </asp:Panel>
        
        <script type="text/javascript" language="javascript"> 
        <!--
            // Processes the node selection
            function SelectNode(nodeId)
            {
                SetSelectedNodeId(nodeId);
                DisplayDocument();
            }
        
            // Mode set action - sets the current editing mode
            function SetMode(mode)
            {
                SetCurrentMode(mode);
                if (mode == 'edit')
			    {
				    skm_selectNewItem('menuRight', document.getElementById('menuRight-000'), imagesUrl + 'edit.gif', imagesUrl + 'edit.gif', 'MenuItemRightOver', 'MenuItemRight'); skm_closeSubMenus(document.getElementById('menuRight'));
			    }
                else if (mode == 'preview')
			    {
				    skm_selectNewItem('menuRight', document.getElementById('menuRight-001'), imagesUrl + 'preview.gif', imagesUrl + 'preview.gif', 'MenuItemRightOver', 'MenuItemRight'); skm_closeSubMenus(document.getElementById('menuRight'));
			    }
                else if (mode == 'livesite')
			    {
				    skm_selectNewItem('menuRight', document.getElementById('menuRight-002'), imagesUrl + 'live.gif', imagesUrl + 'live.gif', 'MenuItemRightOver', 'MenuItemRight'); skm_closeSubMenus(document.getElementById('menuRight'));
			    }
                else if (mode == 'listing')
			    {
				    skm_selectNewItem('menuRight', document.getElementById('menuRight-003'), imagesUrl + 'listing.gif', imagesUrl + 'listing.gif', 'MenuItemRightOver', 'MenuItemRight'); skm_closeSubMenus(document.getElementById('menuRight'));
			    }
                DisplayDocument();
                return true;
            }
            
            // Displays the selected document in the current mode
            function DisplayDocument()
            {
                mode = GetCurrentMode();
                nodeId = GetSelectedNodeId();
                if ( mode == 'edit' )
                {
                    parent.frames['contentview'].location.href = contentDir +"contenteditframeset.aspx?nodeid=" + nodeId;
                }
                else if ( mode == 'preview' )
                {
                    parent.frames['contentview'].location.href = "documentframeset.aspx?action=preview&nodeid=" + nodeId;
                }
                else if ( mode == 'livesite' )
                {
                    parent.frames['contentview'].location.href = "livesite.aspx?nodeid=" + nodeId;
                }
                else if ( mode == 'listing' )
                {
                    parent.frames['contentview'].location.href = "documentframeset.aspx?action=listing&nodeid=" + nodeId;
                }
            }
            
            
            // New document action
            function NewDocument(parentNodeId, classId)
            {
                if ( parentNodeId != 0 )
                {
                    SetMode('edit');
                    parent.frames['contentview'].location.href = contentDir + "documentframeset.aspx?action=new&nodeid=" + parentNodeId + "&classid=" + classId;
                }
            }
        
        
            // Particular document delete action
            function DeleteDocument(nodeId)
            {
                
                if ( nodeId > 0 )
                {
                    SetSelectedNodeId(nodeId);
                    DeleteItem();
                }
            }
        
        
            // Switches to editing mode of particular document
            function EditDocument(nodeId)
            {
                
                SetMode('edit');
                parent.frames['contentview'].location.href = contentDir + "contenteditframeset.aspx?mode=editform&nodeid=" + nodeId;                
            }
            
            
            // New item action
            function NewItem()
            {
                if ( GetSelectedNodeId() != 0 )
                {
                    SetMode('edit');
                    parent.frames['contentview'].location.href = "documentframeset.aspx?action=new&nodeid=" + GetSelectedNodeId();
                }
            }
        
            // Delete item action
            function DeleteItem()
            {
                if ( GetSelectedNodeId() != 0 )
                {
                    parent.frames['contentview'].location.href = contentDir + "documentframeset.aspx?action=delete&nodeid=" + GetSelectedNodeId();
                    //parent.frames['contentrequest'].location.href = "request.aspx?action=delete&nodeid=" + GetSelectedNodeId();
                }
            }

            // Move item action
            function MoveItem()
            {
                if ( GetSelectedNodeId() != 0 )
                {
                    // Display node selection dialog in move mode
                    modalDialog('SelectNodeDialog/default.aspx?action=move&nodeid=' + GetSelectedNodeId(), 'contentselectnode', 400, 600);
                }
            }
            
            // Copy item action
            function CopyItem()
            {
                if ( GetSelectedNodeId() != 0 )
                {
                    // Display node selection dialog in copy mode
                    modalDialog('SelectNodeDialog/default.aspx?action=copy&nodeid=' + GetSelectedNodeId(), 'contentselectnode', 400, 600);
                }
            }
            
            // Move UP item action
            function MoveUp()
            {
                if ( GetSelectedNodeId() != 0 )
                {
                    parent.frames['contentrequest'].location.href = requestPageUrl + "?action=moveup&nodeid=" + GetSelectedNodeId();
                }
            }
            
            // Move DOWN item action
            function MoveDown()
            {
                if ( GetSelectedNodeId() != 0 )
                {  
                    parent.frames['contentrequest'].location.href = requestPageUrl + "?action=movedown&nodeid=" + GetSelectedNodeId();
                }
            }            
            
            // Performs the copy node action
            function CopyNode(nodeId, targetId)
            {
                parent.frames['contentrequest'].location.href = requestPageUrl + "?action=copy&nodeid=" + nodeId + "&targetid=" + targetId;
            }
            
            // Performs the move node action
            function MoveNode(nodeId, targetId)
            {
                parent.frames['contentrequest'].location.href = requestPageUrl + "?action=move&nodeid=" + nodeId + "&targetid=" + targetId;
            }
            
            // Performs the change language action
            function ChangeLanguage(selectElem)
            {
                parent.frames['contentrequest'].location.href = requestPageUrl + "?action=setculture&nodeid=" + GetSelectedNodeId() + "&culturecode=" + selectElem.value;
            }
        -->
        </script>
    </form>
</body>
</html>
