<%@ Page Language="C#" AutoEventWireup="true" CodeFile="new.aspx.cs" Inherits="CMSDesk_Content_new"
    Theme="Default" %>

<%@ Register Src="../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - New</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <b>
                    <asp:Label ID="lblInfo" runat="server" SkinID="ContentLabel"></asp:Label></b><br />
                <asp:Label ID="lblError" runat="server" SkinID="ContentLabel" ForeColor="Red"></asp:Label>
                <br />
                <asp:GridView runat="server" ID="gridClasses" AutoGenerateColumns="false" ShowHeader="false"
                    SkinID="ContentNewClasses" GridLines="None">
                    <Columns>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:HyperLink runat="server" ID="lnkItem" NavigateUrl='<%# "EditFrameset.aspx?action=new&nodeid=" + Request.QueryString["nodeid"] + "&classid=" + DataBinder.Eval(Container.DataItem, "ClassID") %>'
                                    SkinID="ContentNewClass">
                                    <asp:Image ID="imgIcon" runat="server" ImageUrl='<%# "~/App_Themes/" + this.Theme + "/Images/CMSDesk/Icons/" + Convert.ToString(DataBinder.Eval(Container.DataItem, "ClassName")).Replace(".", "_") + ".gif" %>' />
                                    <%# DataBinder.Eval(Container.DataItem, "ClassDisplayName") %>
                                </asp:HyperLink>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <br />
                <asp:Panel runat="server" ID="pnlFooter" SkinID="PageSeparator">
                    <asp:HyperLink runat="server" ID="lnkNewLink" SkinID="ContentNewClass">
                        <asp:Image ID="imgNewLink" runat="server" />
                        <asp:Label ID="lblNewLink" runat="server" />
                    </asp:HyperLink>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
