<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Analytics_Months.aspx.cs"
    Inherits="CMSDesk_Tools_Analytics_Analytics_Months" Theme="Default" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc3" %>
<%@ Register Src="../../../CMSAdminControls/HTMLGraph.ascx" TagName="HTMLGraph" TagPrefix="uc2" %>
<%@ Register Src="../../../CMSWebParts/Polls/PollView.ascx" TagName="PollView" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Analytics - Months</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%;
            overflow: hidden;
        }
        
        .DisabledInfo        
        {
            padding: 4px;
            border-bottom: solid 1px #000000;
            background-color: #ffffcc;
        }
    </style>
</head>

<script language="javascript" type="text/javascript">
    <!--
		function ucGraphMonths_ShowDesktopContent(contentUrl,contentUrl2)
		{
		    if (contentUrl != "") parent.frames['analdays'].location.href= contentUrl;
		    if (contentUrl2 != "") parent.frames['analreport'].location.href= contentUrl2;
		}
    -->    
</script>

<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlDisabled" CssClass="DisabledInfo" Visible="false">
            <asp:Label runat="server" ID="lblDisabled" />
        </asp:Panel>
        <asp:Panel runat="server" ID="pnlHeader" SkinID="PageTitleHeader">
            <table style="width: 100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        <asp:Image ID="imgTitle" runat="server" SkinID="PageTitleImage" />
                        <asp:Label ID="lblTitle" runat="server" SkinID="PageTitle"></asp:Label>
                    </td>
                    <td style="text-align: right;">
                        <asp:Label ID="lblYears" runat="server"></asp:Label>&nbsp;
                        <asp:DropDownList ID="drpYears" runat="server" SkinID="DropDownField">
                        </asp:DropDownList>
                        <asp:Button ID="btnShow" runat="server" SkinID="ContentButton" />
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <div style="padding: 5px 0px 5px 0px;">
            <uc2:HTMLGraph ID="ucGraphMonths" runat="server" />
        </div>
        <asp:Panel runat="server" ID="pnlBorder" SkinID="HorizontalBorderSoft">
            &nbsp;
        </asp:Panel>
        <asp:Literal ID="ltlScript" runat="server"></asp:Literal>
    </form>
</body>
</html>
