<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Analytics_Report.aspx.cs"
    Inherits="CMSDesk_Tools_Analytics_Analytics_Report" Theme="Default" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc3" %>
<%@ Register Src="../../../CMSReporting/ReportTable.ascx" TagName="ReportTable" TagPrefix="uc2" %>
<%@ Register Src="../../../CMSReporting/DisplayReport.ascx" TagName="DisplayReport"
    TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Analytics report</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody">
            <asp:Panel runat="server" ID="pnlMenu" SkinID="ContentEditMenu">
                <table>
                    <tr>
                        <td>
                            <asp:LinkButton ID="lnkSave" runat="server" OnClick="lnkSave_Click" CssClass="MenuItemEdit">
                                <asp:Image ID="imgSave" runat="server" />
                                <%=mSave%>
                            </asp:LinkButton>
                        </td>
                        <td>
                            <asp:LinkButton ID="lnkPrint" runat="server" CssClass="MenuItemEdit" >
                                <asp:Image ID="imgPrint" runat="server" />
                                <%=mPrint%>         
                            </asp:LinkButton>
                        
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent">
                <asp:Label ID="lblInfo" runat="server" SkinID="InfoLabel" EnableViewState="false" Visible="false" />
                <asp:Label style="padding: 10px 0 0 20px;" ID="lblError" runat="server" EnableViewState="False" Visible="False" SkinID="ErrorLabel">
                </asp:Label>
                <uc1:DisplayReport ID="ucDisplayReport" runat="server" BodyCssClass="ReportBodyAnalytics" />
                <asp:Literal runat="server" ID="ltlModal" />
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
