<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Currency_Edit.aspx.cs" Inherits="CMSDesk_Tools_Ecommerce_Configuration_Currency_Edit"
    Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Currency - Edit</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="VerticalTabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="VerticalTabsPageBody">
            <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitle" runat="server" />
            </asp:Panel>
            <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <table style="vertical-align: top">
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblCurrencyDisplayName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtCurrencyDisplayName" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" Display="Dynamic"
                                ValidationGroup="Currency" ControlToValidate="txtCurrencyDisplayName" />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblCurrencyName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtCurrencyName" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="rfvCodeName" runat="server" Display="Dynamic" ValidationGroup="Currency"
                                ControlToValidate="txtCurrencyName" />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblCurrencyCode" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtCurrencyCode" runat="server" SkinID="TextboxField" MaxLength="50" />
                            <asp:RequiredFieldValidator ID="rfvCurrencyCode" runat="server" Display="Dynamic"
                                ValidationGroup="Currency" ControlToValidate="txtCurrencyCode" />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblFormatString" EnableViewState="false" /><br /><br /></td>
                        <td>
                            <asp:TextBox ID="txtFormatString" runat="server" SkinID="TextboxField" MaxLength="100" /><br />
                            <asp:Label runat="server" ID="lblFormatStringnInfo"></asp:Label><br />
                            <asp:RequiredFieldValidator ID="rfvFormatString" runat="server" Display="Dynamic"
                                ValidationGroup="Currency" ControlToValidate="txtFormatString" />
                                <br />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblCurrencyRoundTo" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtCurrencyRoundTo" runat="server" SkinID="TextboxField" Text="0" MaxLength="10" />
                            <asp:RequiredFieldValidator ID="rfvRoundTo" runat="server" Display="Dynamic"
                                ValidationGroup="Currency" ControlToValidate="txtCurrencyRoundTo" />
                            <asp:RegularExpressionValidator ID="revRoundTo" runat="server" Display="Dynamic"
                                ValidationGroup="Currency" ControlToValidate="txtCurrencyRoundTo" />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblCurrencyEnabled" EnableViewState="false" /></td>
                        <td>
                            <asp:CheckBox ID="chkCurrencyEnabled" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblIsMain" EnableViewState="false" /></td>
                        <td>
                            <asp:CheckBox ID="chkIsMain" runat="server" SkinID="CheckBoxMovedLeft" Checked="false" /></td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <br />
                            <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                SkinID="ContentButton" ValidationGroup="Currency" /></td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
