<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Customer_Edit_General.aspx.cs"
    Inherits="CMSDesk_Tools_Ecommerce_Customers_Customer_Edit_General" Theme="Default" %>

<%@ Register Src="~/CMSFormControls/PaymentSelector.ascx" TagName="PaymentSelector"
    TagPrefix="uc3" %>
<%@ Register Src="~/CMSFormControls/ShippingSelector.ascx" TagName="ShippingSelector"
    TagPrefix="uc4" %>
<%@ Register Src="~/CMSFormControls/CurrencySelector.ascx" TagName="CurrencySelector"
    TagPrefix="uc1" %>
<%@ Register Src="~/CMSFormControls/CountrySelector.ascx" TagName="CountrySelector"
    TagPrefix="uc2" %>
<%@ Register Src="~/CMSFormControls/DiscountLevelSelector.ascx" TagName="DiscountLevelSelector"
    TagPrefix="uc5" %>
    
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Customer properties</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height: 100%;
		}
	</style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="Panel1" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="Panel2" SkinID="TabsPageContainer">
                <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea3">
                    <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                        <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                            <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                                Visible="false" />
                            <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                                Visible="false" />
                            <table style="vertical-align: top">
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerFirstName" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtCustomerFirstName" runat="server" SkinID="TextboxField" MaxLength="200" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerLastName" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtCustomerLastName" runat="server" SkinID="TextboxField" MaxLength="200" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerCompany" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtCustomerCompany" runat="server" SkinID="TextboxField" MaxLength="200" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerEmail" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtCustomerEmail" runat="server" SkinID="TextboxField" MaxLength="200" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerPhone" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtCustomerPhone" runat="server" SkinID="TextboxField" MaxLength="50" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerFax" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtCustomerFax" runat="server" SkinID="TextboxField" MaxLength="50" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerPreferredCurrency" EnableViewState="false" /></td>
                                    <td>
                                        <uc1:CurrencySelector ID="drpCurrency" runat="server" AddNoneRecord="true" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerPrefferedPaymentOption" EnableViewState="false" /></td>
                                    <td>
                                        <uc3:PaymentSelector ID="drpPayment" runat="server" AddNoneRecord="true" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerPreferredShippingOption" EnableViewState="false" /></td>
                                    <td>
                                        <uc4:ShippingSelector ID="drpShipping" runat="server" AddNoneRecord="true" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerCountry" EnableViewState="false" /></td>
                                    <td>
                                        <uc2:CountrySelector ID="drpCountry" runat="server" AddNoneRecord="true" UseCodeNameForSelection="false" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblOrganizationID" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtOraganizationID" runat="server" SkinID="TextboxField" MaxLength="50" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblTaxRegistrationID" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtTaxRegistrationID" runat="server" SkinID="TextboxField" MaxLength="50" /></td>
                                </tr>                                                                
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerEnabled" EnableViewState="false" /></td>
                                    <td>
                                        <asp:CheckBox ID="chkCustomerEnabled" runat="server" SkinID="CheckBoxMovedLeft" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomerDiscountLevel" EnableViewState="false" />
                                    </td>
                                    <td>
                                        <uc5:DiscountLevelSelector ID="drpDiscountLevel" runat="server" AddNoneRecord="true" UseCodeNameForSelection="false"/>
                                    </td>
                                
                                
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <br />
                                        <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                            SkinID="ContentButton" /></td>
                                </tr>
                            </table>
                        </asp:Panel>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
