<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DiscountLevel_Edit.aspx.cs" Inherits="CMSDesk_Tools_Ecommerce_DiscountLevel_DiscountLevel_Edit" Theme="Default" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>Discount level - edit</title>
	<style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="<%=mBodyClass%>">
	<form id="form1" runat="server">
		<asp:Panel runat="server" ID="Panel1" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="Panel2" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageContent">
			            <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
				            <uc1:PageTitle ID="PageTitle" runat="server" />
			            </asp:Panel>
			            <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
				            <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false" Visible="false" />
				            <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false" Visible="false" />
				            <table style="vertical-align:top">
					            <tr>
						            <td ><asp:Label runat="server" ID="lblDiscountLevelDisplayName" EnableViewState="false" /></td>
						            <td><asp:TextBox ID="txtDiscountLevelDisplayName" runat="server" SkinID="TextboxField" MaxLength="200" />&nbsp;
                                        <asp:RequiredFieldValidator ID="rfvDiscountLevelDisplayName" runat="server" ErrorMessage="RequiredFieldValidator" ControlToValidate="txtDiscountLevelDisplayName" Display="Dynamic"></asp:RequiredFieldValidator></td>
					            </tr>
					            <tr>
						            <td><asp:Label runat="server" ID="lblDiscountLevelName" EnableViewState="false" /></td>
						            <td><asp:TextBox ID="txtDiscountLevelName" runat="server" SkinID="TextboxField" MaxLength="100" />&nbsp;
                                        <asp:RequiredFieldValidator ID="rfvDiscountLevelName" runat="server" ErrorMessage="RequiredFieldValidator" ControlToValidate="txtDiscountLevelName" Display="Dynamic"></asp:RequiredFieldValidator></td>
					            </tr>
					            <tr>
						            <td ><asp:Label runat="server" ID="lblDiscountLevelValue" EnableViewState="false" /></td>
						            <td><asp:TextBox ID="txtDiscountLevelValue" runat="server" SkinID="TextboxField" MaxLength="10"  />&nbsp;%&nbsp;
                                        <asp:RequiredFieldValidator ID="rfvDiscountLevelValue" runat="server" ErrorMessage="RequiredFieldValidator" ControlToValidate="txtDiscountLevelValue" Display="Dynamic"></asp:RequiredFieldValidator>
                                        <asp:RangeValidator ID="rvDiscountLevelValue" runat="server" ErrorMessage="RangeValidator" ControlToValidate="txtDiscountLevelValue" Type="Double" Display="Dynamic" MaximumValue="100" MinimumValue="0"></asp:RangeValidator></td>
					            </tr>
					            <tr>
						            <td><asp:Label runat="server" ID="lblDiscountLevelValidFrom" EnableViewState="false" /></td>
						            <td><cc1:datetimepicker id="dtPickerDiscountLevelValidFrom" runat="server"></cc1:datetimepicker></td>
					            </tr>
					            <tr>
						            <td ><asp:Label runat="server" ID="lblDiscountLevelValidTo" EnableViewState="false" /></td>
						            <td><cc1:datetimepicker id="dtPickerDiscountLevelValidTo" runat="server"></cc1:datetimepicker></td>
					            </tr>
					            <tr>
						            <td><asp:Label runat="server" ID="lblDiscountLevelEnabled" EnableViewState="false" /></td>
						            <td><asp:CheckBox ID="chkDiscountLevelEnabled" runat="server" SkinID="CheckBoxMovedLeft"/></td>
					            </tr>

					            <tr>
						            <td></td>
						            <td><br /><asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false" SkinID="ContentButton" /></td>
					            </tr>
				            </table>
			            </asp:Panel>
		        </asp:Panel>
		    </asp:Panel>	            
		</asp:Panel>
        &nbsp;&nbsp;
	</form>
</body>
</html>
