<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Order_Edit_General.aspx.cs"
    Inherits="CMSDesk_Tools_Ecommerce_Orders_Order_General" Theme="Default" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Order edit - General</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height: 100%;
			width: 100%;
			overflow: hidden;
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlContainer" SkinID="TabsPageContainer">
                <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea2">
                    <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                        <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                            <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                                Visible="false" />
                            <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                                Visible="false" />
                            <table style="vertical-align: top">
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblOrderId" EnableViewState="false" /></td>
                                    <td>
                                        <asp:Label runat="server" ID="lblOrderIdValue" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblOrderDate" EnableViewState="false" /></td>
                                    <td>
                                        <cc1:DateTimePicker ID="orderDate" runat="server" SupportFolder="~/CMSAdminControls/Calendar" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblInvoiceNumber" EnableViewState="false" /></td>
                                    <td>
                                        <asp:Label runat="server" ID="lblInvoiceNumberValue" /></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblStatus" EnableViewState="false" /></td>
                                    <td>
                                        <asp:DropDownList ID="drpStatus" runat="server" SkinID="DropDownField">
                                        </asp:DropDownList></td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblCustomer" EnableViewState="false" /></td>
                                    <td>
                                        <table width="100%" cellpadding="0" cellspacing="0" border="0">
                                            <tr>
                                                <td>
                                                    <asp:Label runat="server" ID="lblCustomerName" /></td>
                                                <td style="text-align: right">
                                                    <asp:Button ID="btnEditCustomer" runat="server" SkinID="ContentButton" EnableViewState="false" />                                                        
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblNotes" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtNotes" runat="server" TextMode="MultiLine" SkinID="TextAreaField"></asp:TextBox></td>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <br />
                                        <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                            SkinID="ContentButton" /></td>
                                </tr>
                            </table>
                        </asp:Panel>

                        <script language="javascript" type="text/javascript">
                        <!--                        
                        
                        function EditCustomer(customerid)
                        {
                            if ( customerid != 0 )
                            {
                                modalDialog('Order_Edit_CustomerFrameset.aspx?customerid=' + customerid, 'editcustomer', 680, 560);
                            }
                        }	
                        -->	
                        </script>

                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
        <asp:Literal ID="ltlScript" runat="server" EnableViewState="false"></asp:Literal>
    </form>
</body>
</html>
