<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Forum_New.aspx.cs" Inherits="CMSDesk_Tools_Forums_Forums_Forum_New" Theme="Default" %>

<%@ Register Src="../../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle"
    TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Forums - New forum</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>

<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlUsers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle ID="PageTitle" runat="server" />
                    </asp:Panel>
                    <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="vertical-align:top">
			                <tr>
				                <td class="FieldLabel"><asp:Label runat="server" ID="lblForumDisplayName" EnableViewState="false" /></td>
				                <td>
				                    <asp:TextBox ID="txtForumDisplayName" runat="server" SkinID="TextboxField" MaxLength="200" />
                                    <asp:RequiredFieldValidator ID="rfvForumDisplayName" runat="server" ErrorMessage="" ControlToValidate="txtForumDisplayName"></asp:RequiredFieldValidator>
				                </td>
			                </tr>
			                <tr>
				                <td class="FieldLabel"><asp:Label runat="server" ID="lblForumName" EnableViewState="false" /></td>
				                <td>
				                    <asp:TextBox ID="txtForumName" runat="server" SkinID="TextboxField" MaxLength="200" />
				                    <asp:RequiredFieldValidator ID="rfvForumName" runat="server" ErrorMessage="" ControlToValidate="txtForumName"></asp:RequiredFieldValidator>
				                </td>
			                </tr>
			                <tr>
				                <td style="vertical-align:top; padding-top:5px" class="FieldLabel"><asp:Label runat="server" ID="lblForumDescription" EnableViewState="false" /></td>
				                <td><asp:TextBox ID="txtForumDescription" runat="server" TextMode="MultiLine" SkinID="TextAreaField" /></td>
			                </tr>
			                
			                <tr>
				                <td style="vertical-align:top; padding-top:5px" class="FieldLabel"><asp:Label runat="server" ID="lblBaseUrl" EnableViewState="false" /></td>
				                <td><asp:TextBox ID="txtBaseUrl" runat="server" SkinID="TextboxField" MaxLength="200" /></td>
			                </tr><tr>
				                <td class="FieldLabel"><asp:Label runat="server" ID="lblForumOpen" EnableViewState="false" /></td>
				                <td><asp:CheckBox ID="chkForumOpen" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
			                </tr>
			                <tr>
				                <td class="FieldLabel"><asp:Label runat="server" ID="lblForumModerated" EnableViewState="false" /></td>
				                <td><asp:CheckBox ID="chkForumModerated" runat="server" SkinID="CheckBoxMovedLeft"/></td>
			                </tr>
			                <tr>
				                <td class="FieldLabel"><asp:Label runat="server" ID="lblForumRequireEmail" EnableViewState="false" /></td>
				                <td><asp:CheckBox ID="chkForumRequireEmail" runat="server" SkinID="CheckBoxMovedLeft"/></td>
			                </tr>
			                <tr>
				                <td class="FieldLabel"><asp:Label runat="server" ID="lblForumDisplayEmails" EnableViewState="false" /></td>
				                <td><asp:CheckBox ID="chkForumDisplayEmails" runat="server" SkinID="CheckBoxMovedLeft"/></td>
			                </tr>
			                <tr>
                                <td class="FieldLabel"><asp:Label runat="server" ID="lblUseHTML" EnableViewState="false" /></td>
                                <td><asp:CheckBox ID="chkUseHTML" runat="server" SkinID="CheckBoxMovedLeft" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel"><asp:Label runat="server" ID="lblCaptcha" EnableViewState="false" /></td>
                                <td><asp:CheckBox ID="chkCaptcha" runat="server" SkinID="CheckBoxMovedLeft" /></td>
                            </tr>
			                <tr>
				                <td></td>
				                <td><br /><asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false" SkinID="ContentButton" /></td>
			                </tr>
		                </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
