<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Subscriber_Import.aspx.cs"
    Inherits="CMSDesk_Tools_Newsletters_Subscribers_Import" Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Tools - Newsletter subscribers</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height: 100%;
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlUsers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel runat="server" ID="pnlHeader" SkinID="PageHeader">
                        <uc1:PageTitle runat="server" ID="PageTitle" />
                    </asp:Panel>
                    <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                        <asp:Label ID="lblInfo" runat="server" SkinID="InfoLabel" />
                        <asp:Label ID="lblImportedSub" runat="server" SkinID="contentlabel" /><br /><br />
                        <asp:TextBox ID="txtImportSub" runat="server" TextMode="MultiLine" SkinID="TextAreaLarge" />
                        <br /><br />
                        <asp:Label ID="lblNote" runat="server" SkinID="contentlabel" />
                        <br />
                        <br />
                        <br />
                        <asp:Label ID="lblSelectSub" runat="server" SkinID="contentlabel" /><br /><br />
                        <asp:GridView ID="gvNewsletters" runat="server" AutoGenerateColumns="false" SkinID="ContentGrid"
                            CellPadding="3" GridLines="Horizontal">
                            <HeaderStyle HorizontalAlign="Left" CssClass="ContentGridHead" Wrap="false" />
                            <Columns>
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkNewsletter" runat="server" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="NewsletterDisplayName" />
                                <asp:BoundField DataField="NewsletterID" Visible="false" />
                            </Columns>
                        </asp:GridView>
                        <br />
                        <asp:CheckBox ID="chkSendConfirmation" runat="server" />
                        <br /><br />
                        <asp:Label ID="lblError" runat="server" SkinID="errorLabel" />
                        <br />
                        <asp:Button ID="btnImport" runat="server" SkinID="contentButton" />
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
