<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Polls_Answer_Edit.aspx.cs"
    Inherits="CMSDesk_Tools_Polls_Polls_Answer_Edit" Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Poll answer - Edit</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle ID="PageTitle" runat="server" />
                    </asp:Panel>
                    <asp:Panel ID="pnlHeaderLine" runat="server" SkinID="PageHeaderLine">
                        <asp:Image ID="imgNewItem" runat="server" SkinID="NewItemImage" />
                        <asp:HyperLink ID="lnkNewItem" runat="server" SkinID="NewItemLink" />
                    </asp:Panel>
                    <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="vertical-align: top">
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAnswerText" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtAnswerText" runat="server" SkinID="TextboxField" MaxLength="200" />
                                    <asp:RequiredFieldValidator ID="rfvAnswerText" runat="server" ControlToValidate="txtAnswerText" />
                                </td>
                            </tr>
                            <asp:PlaceHolder runat="server" ID="plcVotes">
                                <tr>
                                    <td class="FieldLabel">
                                        <asp:Label runat="server" ID="lblVotes" EnableViewState="false" /></td>
                                    <td>
                                        <asp:TextBox ID="txtVotes" runat="server" SkinID="ShortTextBox" MaxLength="9" />
                                    </td>
                                </tr>
                            </asp:PlaceHolder>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAnswerEnabled" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox ID="chkAnswerEnabled" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                        SkinID="ContentButton" /></td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
