<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ReportTable_Edit.aspx.cs"
    Inherits="CMSDesk_Tools_Reporting_ReportTable_edit" Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>ReportTable Edit</title>
    <style type="text/css">
            body
            {
                  margin: 0px;
                  padding: 0px;
                  height: 100%;
            }
      </style>
    <base target="_self" />

    <script language="javascript" type="text/javascript">
    <!--
       var wopener = window.dialogArguments;
       if ( wopener == null )
       {
            wopener = opener;
       }
    -->
    </script>

</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="Panel1" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <table style="vertical-align: top; width: 100%;">
                    <asp:Panel runat="server" ID="pnlElements">
                        <tr>
                            <td class="FieldLabel">
                                <asp:Label ID="lblDisplayName" runat="server"></asp:Label></td>
                            <td class="FieldLabel">
                                <asp:TextBox ID="txtDisplayName" runat="server" SkinID="textboxfield"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" ControlToValidate="txtDisplayName"
                                    Display="Dynamic"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td class="FieldLabel">
                                <asp:Label ID="lblCodeName" runat="server"></asp:Label></td>
                            <td class="FieldLabel">
                                <asp:TextBox ID="txtCodeName" runat="server" SkinID="textboxfield"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvCodeName" runat="server" ControlToValidate="txtCodeName"
                                    Display="Dynamic"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td class="FieldLabel">
                                <asp:Label ID="lblQuery" runat="server"></asp:Label></td>
                            <td class="FieldLabel">
                                <asp:TextBox ID="txtQuery" TextMode="MultiLine" runat="server" SkinID="TextAreaLarge"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvQuery" runat="server" ControlToValidate="txtQuery"
                                    Display="Dynamic"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td class="FieldLabel">
                                <asp:Label ID="lblStoredProcedure" runat="server"></asp:Label></td>
                            <td class="FieldLabel">
                                <asp:CheckBox ID="chkStoredProcedure" runat="server" /></td>
                        </tr>
                    </asp:Panel>
                    <tr>
                        <td class="FieldLabel">
                        </td>
                        <td class="FieldLabel">
                            <div class="ModalButtonArea">
                                <br />
                                <asp:Button ID="btnOK" runat="server" SkinID="ContentButton" OnClick="btnOK_Click" />
                                <asp:Button ID="btnCancel" runat="server" OnClientClick="window.close();" SkinID="ContentButton" />
                                &nbsp;
                            </div>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
        <asp:Literal runat="server" ID="ltlScript" EnableViewState="false"></asp:Literal>
    </form>
</body>
</html>
