<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ShoppingCartPreview.ascx.cs"
    Inherits="CMSEcommerce_ShoppingCartPreview" %>
<asp:Label ID="lblTitle" runat="server" CssClass="BlockTitle" EnableViewState="false" />
<div class="BlockContent">
    <asp:Label ID="lblError" runat="server" SkinID="ErrorLabel" EnableViewState="false"
        Visible="false" />
    <table width="100%">
        <tr>
            <td width="49%">
                <asp:Panel ID="pnlBillingAddress" runat="server" CssClass="AddressPreview">
                    <asp:Label ID="lblBill" runat="server" EnableViewState="false" />
                </asp:Panel>
            </td>
            <td>
                <asp:Panel ID="pnlShippingAddress" runat="server" CssClass="AddressPreview">
                    <asp:Label ID="lblShip" runat="server" EnableViewState="false" />
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;</td>
        </tr>
        <tr>
            <td>
                &nbsp;<b><asp:Label ID="lblPaymentMethod" runat="server" EnableViewState="false" /></b>
                <asp:Label ID="lblPaymentMethodValue" runat="server" EnableViewState="false" />
            </td>
            <td>
                &nbsp;<b><asp:Label ID="lblShippingOption" runat="server" EnableViewState="false" /></b>
                <asp:Label ID="lblShippingOptionValue" runat="server" EnableViewState="false" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;</td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:GridView ID="gridData" runat="server" AutoGenerateColumns="false" CellPadding="3"
                    SkinID="UniGridGrid" Width="100%" GridLines="Horizontal">
                    <HeaderStyle HorizontalAlign="Left" CssClass="UniGridHead" />
                    <Columns>
                        <asp:BoundField DataField="SKUID" Visible="false"></asp:BoundField>
                        <asp:TemplateField> 
                            <HeaderStyle Width="100%" /> 
                            <ItemTemplate><%# Eval("SKUName")%></ItemTemplate> 
                        </asp:TemplateField>                        
                        <asp:BoundField DataField="SKUUnits">
                            <HeaderStyle Wrap="false" HorizontalAlign="Right" />
                            <ItemStyle Wrap="false" HorizontalAlign="Right" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderStyle-Wrap="false">
                            <ItemStyle Wrap="false" HorizontalAlign="Right" />
                            <HeaderStyle Wrap="false" HorizontalAlign="Right" />
                            <ItemTemplate>
                                <asp:Label ID="lblSKUPrice" runat="server" Text='<%# string.Format("{0:F}",Eval("SKUPrice")) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderStyle-Wrap="false">
                            <ItemStyle Wrap="false" HorizontalAlign="Right" />
                            <HeaderStyle Wrap="false" HorizontalAlign="Right" />
                            <ItemTemplate>
                                <asp:Label ID="lblUnitDiscount" runat="server" Text='<%# string.Format("{0:F}",Eval("UnitDiscount")) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderStyle-Wrap="false">
                            <ItemStyle Wrap="false" HorizontalAlign="Right" />
                            <HeaderStyle Wrap="false" HorizontalAlign="Right" />
                            <ItemTemplate>
                                <asp:Label ID="lblTax" runat="server" Text='<%# string.Format("{0:F}",Eval("Tax")) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderStyle-Wrap="false">
                            <ItemStyle Wrap="false" HorizontalAlign="Right" />
                            <HeaderStyle Wrap="false" HorizontalAlign="Right" />
                            <ItemTemplate>
                                <asp:Label ID="lblSubtotal" runat="server" Text='<%# string.Format("{0:F}",Eval("Subtotal")) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <br />
                <div style="text-align: right;">
                    <table cellpadding="2" cellspacing="0" border="0">
                        <tr>
                            <td>
                                <asp:Label ID="lblShipping" runat="server" EnableViewState="false" /></td>
                            <td>
                                <asp:Label ID="lblShippingValue" runat="server" EnableViewState="false" /></td>
                        </tr>
                        <tr>
                            <td>
                                <b>
                                    <asp:Label ID="lblTotalPrice" runat="server" EnableViewState="false" /></b></td>
                            <td>
                                <b>
                                    <asp:Label ID="lblTotalPriceValue" runat="server" EnableViewState="false" /></b></td>
                        </tr>
                    </table>
                    <br />
                    <asp:GridView ID="gridTaxSummary" runat="server" AutoGenerateColumns="false" CellPadding="3"
                        SkinID="UniGridGrid" GridLines="Horizontal">
                        <HeaderStyle CssClass="UniGridHead" />
                        <Columns>
                            <asp:BoundField DataField="TaxClassDisplayName">
                                <HeaderStyle HorizontalAlign="Left" />
                                <ItemStyle HorizontalAlign="Left" />
                            </asp:BoundField>
                            <asp:BoundField DataField="TaxClassSummary">
                                <HeaderStyle HorizontalAlign="Right" />
                                <ItemStyle HorizontalAlign="Right" />
                            </asp:BoundField>
                        </Columns>
                    </asp:GridView>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <b>
                    <asp:Label ID="lblNote" runat="server" /></b><br />
                <asp:TextBox ID="txtNote" runat="server" TextMode="MultiLine" SkinID="TextAreaField"
                    Width="99%" MaxLength="500" />
            </td>
        </tr>
    </table>
</div>
