using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.SiteProvider;

public partial class CMSFormControls_selectuser : CMS.FormEngine.FormEngineUserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.btnSelect.Text = ResHelper.GetString("General.Select");
        this.btnClear.Text = ResHelper.GetString("General.Clear");
        this.btnClear.OnClientClick = "var text = document.getElementById('" + txtUser.ClientID + "');if(text!=null){text.innerText='';}var field = document.getElementById('" + hiddenField.ClientID + "');if(field!=null){field.innerText='0';}return false;";

        this.Page.ClientScript.RegisterClientScriptBlock(typeof(string), ScriptHelper.DIALOG_SCRIPT_KEY, ScriptHelper.DialogScript);
        btnSelect.OnClientClick = "modalDialog('" + ResolveUrl("~/CMSWebParts/Designers/RoleSelection.aspx") + "?mode=user&elemId=" + txtUser.ClientID + "&hiddenId=" + this.hiddenField.ClientID + "','userSelector',435, 585); return false;";// "open('" + txtRole.ClientID + "'); return false;";
    }

    ///<summary>Gets or sets field value.</summary>
    public override object Value
    {
        get
        {
            LoadValue(this.hiddenField.Value);
            return this.hiddenField.Value;
        }
        set
        {
            LoadValue(value);

            // Remember selected user ID
            this.hiddenField.Value = Convert.ToString(value);

        }
    }


    /// <summary>
    /// Load user data
    /// </summary>
    private void LoadValue(object value)
    {
        // Get selected user info from database
        UserInfo ui = UserInfoProvider.GetUserInfo(ValidationHelper.GetInteger(value, 0));
        if (ui != null)
        {
            this.txtUser.Text = ui.FullName;
        }
        else
        {
            this.txtUser.Text = "";
        }
    }


    /// <summary>
    /// Return true if user control is valid.
    /// </summary>
    /// <returns></returns>
    public override bool IsValid()
    {
        return true;
        //if (txtUser.Text.Trim() != "")
        //{
        //    return true;
        //}
        //else
        //{
        //    this.ValidationError = ResHelper.GetString("UserConfiguration.ValidationError");
        //    return false;
        //}
    }
}
