<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewSubscription.ascx.cs"
    Inherits="CMSForum_NewSubscription" %>
<%@ Register Src="ForumPost.ascx" TagName="ForumPost" TagPrefix="uc1" %>
<asp:Panel ID="pnlContent" runat="server" CssClass="ForumNewPost">
    <asp:Label ID="lblHeader" runat="server" EnableViewState="false" CssClass="Title" />
    <asp:Panel runat="server" ID="pnlReplyPost" CssClass="PostReply">
        <uc1:ForumPost ID="postReply" runat="server" />
    </asp:Panel>
    <asp:Panel runat="server" ID="pnlPadding" CssClass="FormPadding" DefaultButton="btnOK">
        <table class="PostForm">
            <tr>
                <td class="ItemLabel">
                    <asp:Label ID="lblEmail" runat="server" EnableViewState="false" />
                </td>
                <td>
                    <asp:TextBox ID="txtEmail" runat="server" CssClass="TextboxItemShort" MaxLength="100"></asp:TextBox>
                    <asp:RegularExpressionValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail"
                        Display="Dynamic" ValidationGroup="NewSubscription" />
                    <asp:RequiredFieldValidator ID="rfvEmailRequired" runat="server" ControlToValidate="txtEmail"
                        Display="Dynamic" ValidationGroup="NewSubscription" />
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    <asp:Button ID="btnOK" runat="server" CssClass="Button" ValidationGroup="NewSubscription" OnClick="btnOK_Click" />
                    <asp:Button ID="btnCancel" runat="server" CssClass="Button" OnClick="btnCancel_Click" />
                </td>
            </tr>
        </table>
    </asp:Panel>
</asp:Panel>
