CREATE PROCEDURE [Proc_CMS_TransformationProvider_Update]
	@TransformationID int,
	@TransformationName nvarchar(100),
	@TransformationCode ntext,
	@TransformationType nvarchar(50),
	@TransformationClassID int,
	@TransformationCheckedOutByUserID int, 
	@TransformationCheckedOutMachineName nvarchar(100),
	@TransformationCheckedOutFilename nvarchar(450),
	@TransformationVersionGUID nvarchar(50)
AS
BEGIN
	UPDATE CMS_Transformation
	SET
		TransformationName = @TransformationName,
		TransformationCode = @TransformationCode,
		TransformationType = @TransformationType,
		TransformationClassID = @TransformationClassID,
		TransformationCheckedOutByUserID = @TransformationCheckedOutByUserID,
		TransformationCheckedOutMachineName = @TransformationCheckedOutMachineName,
		TransformationCheckedOutFilename = @TransformationCheckedOutFilename,
		TransformationVersionGUID = @TransformationVersionGUID
	WHERE
		TransformationID = @TransformationID
END
