using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CMS.URLRewritingEngine;
using CMS.SettingsProvider;
using CMS.PortalEngine;

using CMS.CMSHelper;
using CMS.GlobalHelper;

public partial class CMSMessages_handler404 : MessagePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.titleElem.TitleText = ResHelper.GetString("404.Header");
        this.titleElem.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSMessages/404.gif";

        this.lblInfo.Text = String.Format(ResHelper.GetString("404.Info"), Request.QueryString["aspxerrorpath"]);

        this.lnkBack.Text = ResHelper.GetString("404.Back");
        this.lnkBack.NavigateUrl = "~/";
    }
}
