<%@ Page Language="C#" AutoEventWireup="true" CodeFile="logon.aspx.cs" Inherits="login"
    Theme="Default" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>CMS Login</title>
    <base target="_self" />
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="LogonPageBody">

    <script type="text/javascript" language="javascript">
    <!--
        if ((top.frames["cmsheader"] != null) ||(top.frames["propheader"] != null))
        {           
            top.window.location.replace(top.window.location.href);                     
        }
    -->        
    </script>

    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="LogonPageBackground">
            <table class="DialogPosition">
                <tr valign="middle" align="Center">
                    <td>
                        <asp:Login ID="Login1" runat="server" DestinationPageUrl="~/Default.aspx">
                            <LayoutTemplate>
                                <asp:Label ID="lblLogonTitle" runat="server" SkinID="LogonTitle" Text="Please log on"></asp:Label>
                                <div style="height:200px;">
                                <table border="0" cellpadding="0" cellspacing="0">
                                    <tr>
                                        <td class="TopLeftCorner">
                                        </td>
                                        <td class="TopMiddleBorder">
                                        </td>
                                        <td class="TopRightCorner">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" class="LogonDialog">
                                            <table border="0" cellpadding="0" align="center" width="100%">
                                                <tr>
                                                    <td align="right" nowrap="nowrap">
                                                        <cc1:LocalizedLabel ID="lblUserName" runat="server" AssociatedControlID="UserName" />
                                                    </td>
                                                    <td align="left" nowrap="nowrap">
                                                        <asp:TextBox ID="UserName" runat="server" MaxLength="100" SkinID="LogonTextBox"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="rfvUserNameRequired" runat="server" ControlToValidate="UserName"
                                                            ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="Login1">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right" nowrap="nowrap">
                                                        <cc1:LocalizedLabel ID="lblPassword" runat="server" AssociatedControlID="Password"></cc1:LocalizedLabel></td>
                                                    <td align="left">
                                                        <asp:TextBox ID="Password" runat="server" TextMode="Password" MaxLength="100" SkinID="LogonTextBox"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                    </td>
                                                    <td align="left" nowrap="nowrap">
                                                        <cc1:LocalizedCheckBox ID="chkRememberMe" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="center" colspan="2" style="color: red">
                                                        <cc1:LocalizedLiteral ID="FailureText" runat="server" EnableViewState="False" Text=""></cc1:LocalizedLiteral>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left" colspan="2">
                                                        <asp:LinkButton ID="lnkLanguage" runat="server" Visible="false" Style="color: Black;
                                                            float: left; padding-top: 4px;" />
                                                        <cc1:LocalizedButton ID="LoginButton" runat="server" CommandName="Login" ValidationGroup="Login1"
                                                            CssClass="LogonButton" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <div id="pnlLanguage" runat="server" class="LogonDialog" style="position: relative; display: none;height: 30px;">
                                                <table border="0" cellpadding="0" align="center" width="100%">
                                                    <tr>
                                                        <td align="right" nowrap="nowrap">
                                                            <cc1:LocalizedLabel ID="lblCulture" runat="server" Text="{$LogonForm.Culture$}" AssociatedControlID="drpCulture"></cc1:LocalizedLabel></td>
                                                        <td align="left">
                                                            <asp:DropDownList ID="drpCulture" runat="server" SkinID="LogonDropDownList" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" align="right">
                                            <asp:Label ID="lblVersion" runat="server" SkinID="FooterStatus" /></td>
                                    </tr>
                                </table>
                                </div>
                            </LayoutTemplate>
                        </asp:Login>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <asp:Literal ID="ltlScript" EnableViewState="false" runat="server" />
    </form>
</body>
</html>
