using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.Scheduler;
using CMS.CMSHelper;
using CMS.SiteProvider;

public partial class CMSPages_scheduler : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Response.Cache.SetNoStore();
        SiteInfo currentSite = CMSContext.CurrentSite;
        if (currentSite != null)
        {
            SchedulingExecutor.ExecuteScheduledTasks(currentSite.SiteName, ConfigurationManager.AppSettings["CMSWebFarmServerName"]);
        }
    }
}
