<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Task_Edit.aspx.cs" Inherits="MS2_Project_CMSSolution_Scheduler_Task_Edit"
    Theme="Default" ValidateRequest="false" %>

<%@ Register Src="../../../CMSAdminControls/ScheduleInterval.ascx" TagName="ScheduleInterval"
    TagPrefix="uc2" %>
<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Scheduled tasks - Task Edit</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="PageBody">
            <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitle" runat="server" />
            </asp:Panel>
            <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <table style="vertical-align: top">
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblTaskDisplayName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtTaskDisplayName" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" ControlToValidate="txtTaskDisplayName"
                                Display="Dynamic"></asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblTaskName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtTaskName" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="rfvName" runat="server" ControlToValidate="txtTaskName"
                                Display="Dynamic"></asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblTaskAssemblyName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtTaskAssemblyName" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="rfvAssembly" runat="server" ControlToValidate="txtTaskAssemblyName"
                                Display="Dynamic"></asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblTaskClass" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtTaskClass" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="rfvClass" runat="server" ControlToValidate="txtTaskClass"
                                Display="Dynamic"></asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblTaskInterval" EnableViewState="false" /></td>
                        <td>
<%--                            <asp:TextBox ID="txtTaskInterval" runat="server" SkinID="TextboxField" MaxLength="1000"
                                Visible="False" />--%>
                            <uc2:ScheduleInterval ID="ScheduleInterval1" runat="server" />
                            <br />
<%--                            <asp:RequiredFieldValidator ID="rfvInterval" runat="server" ControlToValidate="txtTaskInterval"
                                Display="Dynamic"></asp:RequiredFieldValidator>--%>
                                </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblTaskData" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtTaskData" runat="server" TextMode="MultiLine" SkinID="TextAreaField" /></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblTaskEnabled" EnableViewState="false" /></td>
                        <td>
                            <asp:CheckBox ID="chkTaskEnabled" runat="server" Checked="true" SkinID="CheckBoxMovedLeft" /></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblTaskDeleteAfterLastRun" EnableViewState="false" /></td>
                        <td>
                            <asp:CheckBox ID="chkTaskDeleteAfterLastRun" runat="server" Checked="false" SkinID="CheckBoxMovedLeft" /></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblServerName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtServerName" runat="server" SkinID="TextboxField" MaxLength="100" /><br />
                            <asp:CheckBox ID="chkAllServers" runat="server" Visible="false" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <br />
                            <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                SkinID="ContentButton" /></td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
