<%@ Page Language="C#" AutoEventWireup="true" CodeFile="User_Edit_General.aspx.cs"
    Inherits="SiteManager_Administration_Users_User_Edit_General" Theme="Default" %>
<%@ Register Src="~/CMSFormControls/UserPictureEdit.ascx" TagName="UserPictureFormControl"
    TagPrefix="upfc" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>User Edit - General</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelUserName" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxUserName" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorUserName" runat="server" EnableViewState="false"
                                        ControlToValidate="TextBoxUserName" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelFullName" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxFullName" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorFullName" runat="server" EnableViewState="false"
                                        ControlToValidate="TextBoxFullName" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelFirstName" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxFirstName" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelMiddleName" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxMiddleName" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelLastName" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxLastName" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelEmail" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxEmail" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelEnabled" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:CheckBox ID="CheckBoxEnabled" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelIsEditor" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:CheckBox ID="CheckBoxIsEditor" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="LabelIsGlobalAdministrator" runat="server" EnableViewState="false"
                                        Visible="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:CheckBox ID="CheckBoxLabelIsGlobalAdministrator" runat="server" Visible="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblIsExternal" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkIsExternal" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCulture" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:DropDownList ID="lstCulture" runat="server" SkinID="DropDownField" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblUICulture" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:DropDownList ID="lstUICulture" runat="server" SkinID="DropDownField" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNickName" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtNickName" runat="server" SkinID="TextboxField" ></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblUserPicture" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <upfc:UserPictureFormControl ID="UserPictureFormControl" runat="server"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblUserSignature" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtUserSignature" SkinID="TextAreaField" TextMode="MultiLine" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCreated" runat="server" EnableViewState="false" />
                                </td>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCreatedInfo" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblLastLogon" runat="server" EnableViewState="false" />
                                </td>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblLastLogonInfo" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblReferrer" runat="server" EnableViewState="false" />
                                </td>
                                <td class="FieldLabel">
                                    <asp:TextBox runat="server" ID="txtReferrer" SkinID="TextboxField" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCampaign" runat="server" EnableViewState="false" />
                                </td>
                                <td class="FieldLabel">
                                    <asp:TextBox runat="server" ID="txtCampaign" SkinID="TextboxField" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button ID="ButtonOK" runat="server" OnClick="ButtonOK_Click" SkinID="ContentButton"
                                        EnableViewState="false" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
