<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DocumentType_Edit_Query_Edit.aspx.cs"
    Inherits="SiteManager_Development_DocumentTypes_DocumentType_Edit_Query_Edit"
    Theme="Default" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Document Type Edit - Query Edit</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="PanelBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="PanelUsers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel ID="PanelTitle" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle runat="server" ID="PageTitle" />
                    </asp:Panel>
                    <asp:Panel id="pnlPageContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="width: 100%">
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblQueryName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="tbQueryName" SkinID="TextboxField" MaxLength="100" />
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorQueryName" runat="server" EnableViewState="false"
                                        ControlToValidate="tbQueryName" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblQueryType" EnableViewState="false" /></td>
                                <td>
                                    <asp:RadioButtonList runat="server" ID="rblQueryType" RepeatDirection="Horizontal">
                                        <asp:ListItem Selected="True" Value="SQLQuery">Query text</asp:ListItem>
                                        <asp:ListItem Value="StoredProcedure">Stored procedure</asp:ListItem>
                                    </asp:RadioButtonList></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTransaction" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox runat="server" ID="chbTransaction" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAutoUpdates" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox runat="server" ID="chbAutoUpdates" /></td>
                            </tr>
                            <tr>
                                <td style="vertical-align: text-top; padding-top: 5px" class="FieldLabel">
                                    <asp:Label runat="server" ID="lblQueryText" EnableViewState="false" /></td>
                                <td style="width: 85%">
                                    <asp:Button ID="btnGenerate" runat="server" SkinID="LongButton" OnClick="btnGenerate_Click" Visible="false" />
                                    <asp:TextBox runat="server" ID="tbQueryText" TextMode="multiline" SkinID="TextAreaLarge"
                                        Width="99%" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    &nbsp;</td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" EnableViewState="false" OnClick="btnOK_Click"
                                        SkinID="ContentButton" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
