<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PageLayout_Edit.aspx.cs"
    Inherits="SiteManager_Development_PageLayouts_PageLayout_Edit_General" Theme="Default"
    ValidateRequest="false" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Page Layout Edit</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%; 
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="PanelBody" runat="server" SkinID="PageBody">
            <asp:Panel ID="pnlTitle" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitle" runat="server" />
            </asp:Panel>
            <asp:Panel ID="pnlMenu" runat="server" SkinID="ContentEditMenu">
                <table>
                    <tr>
                        <td>
                            <asp:LinkButton ID="btnSave" runat="server" OnClick="btnSave_Click" CssClass="MenuItemEdit">
                                <asp:Image ID="imgSave" runat="server" />
                                <%=mSave%>
                            </asp:LinkButton>
                        </td>
                        <asp:PlaceHolder ID="plcCheckOut" runat="server" Visible="false">
                            <td>
                                <asp:LinkButton ID="btnCheckOut" runat="server" OnClick="btnCheckOut_Click" CssClass="MenuItemEdit">
                                    <asp:Image ID="imgCheckOut" runat="server" />
                                    <%=mCheckOut%>
                                </asp:LinkButton>
                            </td>
                        </asp:PlaceHolder>
                        <asp:PlaceHolder ID="plcCheckIn" runat="server" Visible="false">
                            <td>
                                <asp:LinkButton ID="btnCheckIn" runat="server" OnClick="btnCheckIn_Click" CssClass="MenuItemEdit">
                                    <asp:Image ID="imgCheckIn" runat="server" />
                                    <%=mCheckIn%>
                                </asp:LinkButton>
                            </td>
                        </asp:PlaceHolder>
                        <asp:PlaceHolder ID="plcUndoCheckOut" runat="server" Visible="false">
                            <td>
                                <asp:LinkButton ID="btnUndoCheckOut" runat="server" OnClick="btnUndoCheckOut_Click"
                                    CssClass="MenuItemEdit">
                                    <asp:Image ID="imgUndoCheckOut" runat="server" />
                                    <%=mUndoCheckOut%>
                                </asp:LinkButton>
                            </td>
                        </asp:PlaceHolder>
                    </tr>
                </table>
            </asp:Panel>
            <asp:Panel ID="pnlCheckOutInfo" runat="server" SkinID="PageHeaderLine" Visible="false">
                <asp:Label runat="server" ID="lblCheckOutInfo" />
            </asp:Panel>
            <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                <asp:Label ID="lblInfo" runat="server" />
                <asp:Label runat="server" ID="lblError" ForeColor="red" EnableViewState="false" Visible="false" />
                <table style="width: 100%">
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label ID="lbLayoutDisplayName" runat="server" EnableViewState="False"></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbLayoutDisplayName" runat="server" SkinID="TextboxField" MaxLength="100"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvLayoutDisplayName" runat="server" EnableViewState="false"
                                ControlToValidate="tbLayoutDisplayName" Display="dynamic"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lbCodeName" runat="server"></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbCodeName" runat="server" SkinID="TextboxField"></asp:TextBox><br />
                            <asp:RequiredFieldValidator ID="rfvCodeName" runat="server" ControlToValidate="tbCodeName"
                                Display="Dynamic"></asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel" style="vertical-align: top">
                            <asp:Label ID="lbLayoutDescription" runat="server" EnableViewState="False"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="tbLayoutDescription" runat="server" SkinID="TextAreaField" MaxLength="100"
                                TextMode="MultiLine"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvLayoutDescription" runat="server" EnableViewState="false"
                                ControlToValidate="tbLayoutDescription" Display="dynamic"></asp:RequiredFieldValidator>
                            <br />
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td class="FieldLabel" style="vertical-align: top">
                            <asp:Label ID="lbLayoutCode" runat="server" EnableViewState="False"></asp:Label>
                        </td>
                        <td style="width: 85%">
                            <asp:Literal ID="ltlHint" runat="server"></asp:Literal><br />
                            <br />
                            <asp:Literal runat="server" ID="ltlDirectives" EnableViewState="false" />
                            <cc1:ExtendedTextArea ID="tbLayoutCode" runat="server" CssClass="TextAreaCode" TextMode="MultiLine"
                                Width="98%" /><br />
                            <asp:RequiredFieldValidator ID="rfvLayoutCode" runat="server" ControlToValidate="tbLayoutCode"
                                Display="Dynamic" EnableViewState="False"></asp:RequiredFieldValidator></td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
