<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Import_ObjectsWizard.ascx.cs"
    Inherits="Import_ObjectsWizard" %>
<%@ Register Src="Import_ImportType.ascx" TagName="ImportType" TagPrefix="uc2" %>
<%@ Register Src="ImportGridView.ascx" TagName="ImportGridView" TagPrefix="uc2" %>
<%@ Register Src="Import_Documents.ascx" TagName="Documents" TagPrefix="uc2" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<asp:Panel ID="pnlWrappwer" DefaultButton="btnHidden" runat="Server">
    <div id="wzdBody" class="NewSiteWizardBody">
        <div id="wzdHeader" class="WizardHeader">
            <asp:Label ID="lblStepTitle" runat="server" SkinID="WizardStepHeader"></asp:Label>
            <asp:Label ID="lblStepDesc" runat="server" CssClass="NewSiteWizardStepDescription"></asp:Label>
        </div>
        <asp:Button ID="btnHidden" runat="server" SkinID="HiddenButton" OnClick="btnHidden_onClick" />
        <asp:Wizard ID="wzdImport" runat="server" DisplaySideBar="False" NavigationButtonStyle-Width="75"
            NavigationStyle-HorizontalAlign="Left">
            <StepNavigationTemplate>
                <div id="buttonsDiv" style="padding: 10px 0px 10px 10px">
                    <cc1:LocalizedButton UseSubmitBehavior="True" ID="StepNextButton" runat="server"
                        CommandName="MoveNext" Text="{$Install.NextStep$}" OnClientClick="NextObjectWizardStep(this,document.getElementById('buttonsDiv'));"
                        Width="100" />
                </div>
            </StepNavigationTemplate>
            <StartNavigationTemplate>
                <div id="buttonsDiv" style="padding: 10px 0px 10px 10px">
                    <cc1:LocalizedButton UseSubmitBehavior="True" ID="StepNextButton" runat="server"
                        CommandName="MoveNext" Text="{$Install.NextStep$}" OnClientClick="NextObjectWizardStep(this,document.getElementById('buttonsDiv'));"
                        Width="100" />
                </div>
            </StartNavigationTemplate>
            <WizardSteps>
                <asp:WizardStep ID="wzdStepImportType" runat="server" AllowReturn="False" StepType="Start"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepImportType" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportType ID="ucImportType" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepSysTables" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlSysTables" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucSysTables" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCountries" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCountries" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCountries" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCssStyles" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCssStyles" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCssStyles" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepRoles" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepRoles" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucRoles" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepUsers" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepUsers" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucUsers" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepPageTemplates" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepPageTemplates" runat="server" SkinID="NewSiteWizardStep">
                        <asp:Label ID="lblNote" runat="server" Visible="false" /><br />
                        <br />
                        <uc2:ImportGridView ID="ucPageTemplates" runat="server" />
                        <uc2:ImportGridView ID="ucLayouts" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepDocumentTypes" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepDocumentTypes" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucDocTypes" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepWorkflows" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepWorkflows" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucWorkflows" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepEmailTemplates" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepEmailTemplates" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucLocalEmailTemplates" runat="server" />
                        <uc2:ImportGridView ID="ucGlobalEmailTemplates" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepSettings" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepSettings" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucSettings" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepDocuments" runat="server" AllowReturn="false" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepDocuments" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:Documents ID="ucDocuments" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepWebparts" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepWebparts" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucWebParts" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepWebPartContainers" runat="server" AllowReturn="False"
                    StepType="Step" EnableViewState="true">
                    <asp:Panel ID="pnlStepWebPartContainers" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucWebPartContainers" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepFormUserControls" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepFormUserControls" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucFormUserCtrls" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepInlineControls" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepInlineControls" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucInlineCtrls" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepRelationshipNames" runat="server" AllowReturn="False"
                    StepType="Step" EnableViewState="true">
                    <asp:Panel ID="pnlStepRelationshipNames" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucRelationships" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepWebFarmServers" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepWebFarmServers" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucWebFarmServers" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepPolls" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepPolls" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucPolls" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepReports" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepReports" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucReports" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMManufacturers" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMManufacturers" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMManufacturers" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMSuppliers" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMSuppliers" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMSuppliers" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMTaxClasses" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMTaxClasses" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMTaxClasses" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMDiscountCoupons" runat="server" AllowReturn="False"
                    StepType="Step" EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMDiscountCoupons" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMDiscountCoupons" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMStatuses" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMStatuses" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMInternalStatuses" runat="server" />
                        <uc2:ImportGridView ID="ucCOMPublicStatuses" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMDepartments" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMDepartments" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMDepartments" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMExTables" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMExTables" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMExTables" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMCurrencies" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMCurrencies" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMCurrencies" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMDiscountLevels" runat="server" AllowReturn="False"
                    StepType="Step" EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMCDiscountLevels" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMDiscountLevels" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMCustomers" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMCustomers" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMCustomers" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMOrderStatuses" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMOrderStatuses" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMOrderStatuses" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
                <asp:WizardStep ID="wzdStepCOMSKUs" runat="server" AllowReturn="False" StepType="Step"
                    EnableViewState="true">
                    <asp:Panel ID="pnlStepCOMSKUs" runat="server" SkinID="NewSiteWizardStep">
                        <uc2:ImportGridView ID="ucCOMSKUs" runat="server" />
                    </asp:Panel>
                </asp:WizardStep>
            </WizardSteps>
        </asp:Wizard>
    </div>
    <asp:Label ID="lblError" runat="server" SkinID="ErrorLabel"></asp:Label>
    <asp:Literal ID="ltlScript" runat="server" EnableViewState="false" />
</asp:Panel>
