<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewSiteWizard.ascx.cs"
    Inherits="CMSSiteManager_Sites_NewSite_NewSiteWizard" %>
<%@ Register Src="NewSite_SiteDetails.ascx" TagName="NewSite_SiteDetails" TagPrefix="uc1" %>
<%@ Register Src="NewSite_ChooseSite.ascx" TagName="NewSite_ChooseSite" TagPrefix="uc2" %>
<%@ Register Src="NewSite_ChooseMasterTemplate.ascx" TagName="NewSite_ChooseMasterTemplate"
    TagPrefix="uc3" %>
<%@ Register Src="NewSite_DefineSiteStructure.ascx" TagName="NewSite_DefineSiteStructure"
    TagPrefix="uc4" %>
<%@ Register Src="NewSite_ChooseWebTemplate.ascx" TagName="NewSite_ChooseWebTemplate"
    TagPrefix="uc5" %>
<%@ Register Src="NewSite_Finish.ascx" TagName="NewSite_Finish" TagPrefix="uc6" %>
<%@ Register Src="../Global/Import_ObjectsWizard.ascx" TagName="ObjectsWizard" TagPrefix="uc7" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>

<asp:HiddenField ID="requestedUrl" runat="server" />
<asp:PlaceHolder ID="plcWizard" runat="server" >
<div id="wzdBody" class="NewSiteWizardBody">
    <div id="wzdHeader" class="WizardHeader">
        <asp:Label ID="lblStepTitle" runat = "server" SkinID="WizardStepHeader"></asp:Label>   
        <asp:Label ID="lblStepDesc" runat = "server" SkinID="NewSiteWizardStepDescription"></asp:Label>
    </div>
        <asp:Wizard ID="wzdNewSite" runat="server" DisplaySideBar="False" OnFinishButtonClick="wzdNewSite_FinishButtonClick"
        OnNextButtonClick="wzdNewSite_NextButtonClick" NavigationButtonStyle-Width="75" NavigationStyle-HorizontalAlign="Left" >
                <StepNavigationTemplate>
            <div id="buttonsDiv" style="padding: 10px 0px 10px 10px">
                <cc1:localizedbutton usesubmitbehavior="True" id="StepNextButton" runat="server"
                    commandname="MoveNext" text="{$NewSiteWizard.Next$}" width="100" />
            </div>
        </StepNavigationTemplate>
        <StartNavigationTemplate>
            <div id="buttonsDiv" style="padding: 10px 0px 10px 10px">
                <cc1:localizedbutton usesubmitbehavior="True" id="StepNextButton" runat="server"
                    commandname="MoveNext" text="{$NewSiteWizard.Next$}" width="100" />
            </div>
        </StartNavigationTemplate>
        <FinishNavigationTemplate>
            <div id="buttonsDiv" style="padding: 10px 0px 10px 10px">
                <cc1:localizedbutton usesubmitbehavior="True" text="{$NewSiteWizard.Finish$}" id="StepNextButton" runat="server"
                    commandname="MoveComplete" width="100" />
            </div>
        </FinishNavigationTemplate>
        <WizardSteps>
            <asp:WizardStep ID="wzdStepSiteDetails" runat="server" AllowReturn="False" StepType="Start">
                <asp:Panel ID="pnlWzdStepSiteDetails" runat="server" SkinID="NewSiteWizardStep">
                    <uc1:NewSite_SiteDetails ID="NewSite_SiteDetails" runat="server" />
                </asp:Panel>
            </asp:WizardStep>
            <asp:WizardStep ID="wzdStepChooseSite" runat="server" AllowReturn="False" StepType="Step">
                <asp:Panel ID="pnlWzdStepChooseSite" runat="server" SkinID="NewSiteWizardStep">
                    <uc2:NewSite_ChooseSite ID="NewSite_ChooseSite" runat="server" />
                </asp:Panel>
            </asp:WizardStep>
            <asp:WizardStep ID="wzdStepChooseMasterTemplate" runat="server" AllowReturn="False"
                StepType="Step">
                <asp:Panel ID="pnlWzdStepChooseMasterTemplate" runat="server" SkinID="NewSiteWizardStep">
                    <uc3:NewSite_ChooseMasterTemplate ID="NewSite_ChooseMasterTemplate" runat="server" />
                </asp:Panel>
            </asp:WizardStep>
            <asp:WizardStep ID="wzdStepDefineSiteStructure" runat="server" AllowReturn="False"
                StepType="Finish">
                <asp:Panel ID="pnlWzdStepDefineSiteStructure" runat="server" SkinID="NewSiteWizardStep">
                    <uc4:NewSite_DefineSiteStructure ID="NewSite_DefineSiteStructure" runat="server" />
                </asp:Panel>
            </asp:WizardStep>
            <asp:WizardStep ID="wzdStepChooseWebTemplate" runat="server" AllowReturn="False"
                StepType="Finish">
                <asp:Panel ID="pnlWzdStepChooseWebTemplate" runat="server" SkinID="NewSiteWizardStep">
                    <uc5:NewSite_ChooseWebTemplate ID="NewSite_ChooseWebTemplate" runat="server" />
                </asp:Panel>
            </asp:WizardStep>
            <asp:WizardStep ID="wzdStepFinish" runat="server" AllowReturn="False" StepType="Complete">
                <asp:Panel ID="pnlWzdStepFinish" runat="server" SkinID="NewSiteWizardStep">
                    <uc6:NewSite_Finish ID="NewSite_Finish" runat="server" />
                </asp:Panel>
            </asp:WizardStep>
        </WizardSteps>
    </asp:Wizard>
    <asp:Button runat="server" ID="btnGoBack" SkinID="ContentButton" OnClick="btnGoBack_Click"
     Visible="false" style="margin:10px; width:150px" />
</div>
<asp:Label ID="lblError" runat="server" SkinID="ErrorLabel" Visible="false" />
</asp:PlaceHolder>
<asp:PlaceHolder ID="plcObjectsWizard" runat="server" Visible="false">
    <uc7:ObjectsWizard ID="ucObjectsWizard" runat="server" />
</asp:PlaceHolder>
