using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CMS.GlobalHelper;
using CMS.SiteProvider;
using CMS.SettingsProvider;

public partial class NewSite_Finish : System.Web.UI.UserControl
{
    // web site domain
    private string mDomain = "";

    public string Domain
    {
        get { return mDomain; }
        set { mDomain = value; }
    }

    // Label
    public PlaceHolder Placeholder
    {
        get { return plcFinish; }
        set { plcFinish = value; }
    }


    protected void Page_Load(object sender, EventArgs e)
    {
        lblLogonDetails.Text = ResHelper.GetString("NewSite_Finish.LogonDetails");

        lnkWebSite.Text = ResHelper.GetString("NewSite_Finish.EditYourWebSite");
        lnkWebSite.Target = "_blank";
        lnkWebSite.NavigateUrl = Request.Url.Scheme + "://" + Domain + ResolveUrl("~/cmsdesk");

        // displays logon details only if this is first website in the database
        //DataSet ds = SiteInfoProvider.GetAllSites();
        //if (DataHelper.DataSourceIsEmpty(ds))
        //{
        //    lblLogonDetails.Visible = true;
        //}
    }
}
