<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BasicCalendar.aspx.cs" Inherits="CMSControlsExamples_BasicCalendar"
    Theme="Default" %>

<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>BasicCalendar example</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="BasicCalendar example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <div style="width: 100%; border: solid 1px #CCCCCC;">
                    <table style="margin-left: auto; margin-right: auto; text-align: center;">
                        <tr>
                            <td style="padding: 35px;">
                                <cc1:BasicCalendar ID="BasicCalendar1" runat="server" Width="528px" NextMonthText="Next >"
                                    NextPrevFormat="FullMonth" DayField="DocumentModifiedWhen">
                                    <TodayDayStyle BackColor="#FFC080"></TodayDayStyle>
                                    <OtherMonthDayStyle BackColor="Gray"></OtherMonthDayStyle>
                                    <TitleStyle Font-Bold="True" ForeColor="White" BackColor="Red"></TitleStyle>
                                    <NextPrevStyle ForeColor="Blue"></NextPrevStyle>
                                    <WeekendDayStyle BackColor="#E0E0E0"></WeekendDayStyle>
                                    <DayHeaderStyle BackColor="#8080FF"></DayHeaderStyle>
                                    <ItemTemplate>
                                        <br />
                                        <a href='<%# ResolveUrl(CMS.CMSHelper.CMSContext.GetUrl(Convert.ToString(Eval("NodeAliasPath")), Convert.ToString(Eval("DocumentUrlPath")))) %>'>
                                            <%#Eval("NewsTitle")%>
                                        </a>
                                    </ItemTemplate>
                                    <NoEventsTemplate>
                                        <br />
                                        No Event
                                    </NoEventsTemplate>
                                </cc1:BasicCalendar>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:Panel>
        </asp:Panel>
        &nbsp;<br />
        <br />
        &nbsp;&nbsp;
    </form>
</body>
</html>
