<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CMSViewer.aspx.cs" Inherits="CMSControlsExamples_CMSViewer"
    Theme="Default" %>

<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>CMSViewer example</title>
    <link href="Styles.css" type="text/css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="CMSViewer example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <%--                <h1>Single Item</h1>
                <cc1:CMSViewer ID="CMSViewer1" runat="server" ClassNames="cms.news"
                TransformationName="cms.news.default_xslt" Path="/News/Your-First-News" />
                <h1>Multiple Items</h1>--%>
                <table style="border: solid 1px #CCCCCC; margin-left: auto; margin-right: auto; text-align: center; width: 100%;">
                    <tr>
                        <td style="padding: 35px;">
                            <cc1:CMSViewer ID="CMSViewer2" runat="server" ClassNames="cms.news" TransformationName="cms.news.default_xslt"
                                OrderBy="NewsReleaseDate DESC" Path="/News/%" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
