<%@ Control Language="C#" AutoEventWireup="true" CodeFile="~/CMSWebParts/Newsletters/NewsletterSubscription.ascx.cs"
    Inherits="CMSWebParts_Newsletters_NewsletterSubscription" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<asp:Panel ID="pnlSubscription" runat="server" DefaultButton="btnSubmit" CssClass="Subscription">
    <asp:Label runat="server" ID="lblInfo" CssClass="InfoMessage" EnableViewState="false"
        Visible="false" />
    <asp:Label runat="server" ID="lblError" CssClass="ErrorMessage" EnableViewState="false"
        Visible="false" />
    <table>
        <tr>
            <td>
                <cc1:LocalizedLabel ID="lblFirstName" runat="server" AssociatedControlID="txtFirstName" />
            </td>
            <td>
                <asp:TextBox ID="txtFirstName" runat="server" CssClass="SubscriptionTextbox"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                <cc1:LocalizedLabel ID="lblLastName" runat="server" AssociatedControlID="txtLastName" />
            </td>
            <td>
                <asp:TextBox ID="txtLastName" runat="server" CssClass="SubscriptionTextbox"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                <cc1:LocalizedLabel ID="lblEmail" runat="server" AssociatedControlID="txtEmail" />
            </td>
            <td>
                <asp:TextBox ID="txtEmail" runat="server" CssClass="SubscriptionTextbox"></asp:TextBox>
            </td>
        </tr>
        <!--<tr>
            <td>
             <asp:Label ID="lblFullName" runat="server" Text="Label"></asp:Label>
            </td>
            <td>
            <asp:TextBox ID="txtFullName" runat="server"></asp:TextBox><br />
            </td>        
        </tr>-->
        <tr>
            <td>
            </td>
            <td align="right">
                <cc1:LocalizedButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="SubscriptionButton" />
            </td>
        </tr>
    </table>
</asp:Panel>
